2008-07-21 22:16  wbolster

	* [r8350] branches/gnome-2-24/NEWS: Updated NEWS for 2.23.5

2008-07-21 22:14  wbolster

	* [r8348] branches/gnome-2-24/NEWS: Indentation fixes

2008-07-21 22:12  wbolster

	* [r8346] branches/gnome-2-24/NEWS: Update news for 2.22.3

2008-07-21 22:09  wbolster

	* [r8345] branches/gnome-2-24/configure.ac,
	  branches/gnome-2-24/doc/reference/tmpl/EphySingle.sgml,
	  branches/gnome-2-24/doc/reference/tmpl/ephy-embed.sgml: Update
	  branch in configure.ac

2008-07-21 22:01  wbolster

	* [r8344] branches/gnome-2-24/configure.ac: Bump version to 2.23.5

2008-07-21 21:57  wbolster

	* [r8343] branches/gnome-2-24/Makefile.am,
	  branches/gnome-2-24/configure.ac: Bump intltool req. to 0.40.

2008-07-21 21:56  wbolster

	* [r8342] branches/gnome-2-24: Branch for gnome-2-24

2008-07-10 05:12  tkaroonb

	* [r8337] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/th.po: 2008-07-10 Theppitak
	  Karoonboonyanan <thep@linux.thai.net> * th.po: Updated Thai
	  translation.

2008-07-02 16:08  cosimoc

	* [r8330] branches/gnome-2-22/embed/mozilla/GeckoPrintService.cpp:
	  Use percentage instead of value when calling
	  gtk_print_settings_set_scale. Patch by Paul Drain. (#541168).

2008-06-30 18:22  chpe

	* [r8324] branches/gnome-2-22/src/bookmarks/ephy-bookmarks.c: Bug
	  529634 – ga_client_start() called twice
	* [r8323] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/embed/mozilla/EphyHeaderSniffer.cpp,
	  branches/gnome-2-22/embed/mozilla/GtkNSSDialogs.cpp,
	  branches/gnome-2-22/embed/mozilla/GtkNSSDialogs.h,
	  branches/gnome-2-22/embed/mozilla/Makefile.am,
	  branches/gnome-2-22/embed/mozilla/MozDownload.cpp: Check for
	  nsIBadCertListener.h.

2008-06-30 18:21  chpe

	* [r8322] branches/gnome-2-22/lib/ephy-file-chooser.c: Guard
	  against the current filename being NULL. Bug #535483.
	* [r8321] branches/gnome-2-22/configure.ac: Remove the deprecation
	  flags on the branch, since it breaks building with gtk 2.13.
	* [r8320] branches/gnome-2-22/Makefile.am: Support git in the
	  ChangeLog generation rule.
	* [r8319] branches/gnome-2-22/configure.ac: Bump version.
	* [r8318] branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp: Add
	  emergency NULL-check.

2008-06-26 16:03  danilo

	* [r8289] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/sr.po, branches/gnome-2-22/po/sr@Latn.po:
	  Updated Serbian translations.

2008-06-21 11:25  jmouette

	* [r8287]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Fix
	  typos causing passwords not being correctly removed from the
	  password manager when using Gecko 1.9. Patch by Mike Hommey,
	  closes: #539418.

2008-06-21 11:24  jmouette

	* [r8286] branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp:
	  Fix the string names to obtain the proxy login prompt when using
	  Gecko 1.9. Thanks Mike Hommey. Closes: #539417.

2008-06-13 00:36  diegoe

	* [r8279] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp:
	  Fix the build with gecko 1.9 last minute changes. Patch by
	  Josselin Mouette, closes: #535103.

2008-06-05 10:29  clyties

	* [r8273] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/vi.po: Updated Vietnamese translation

2008-05-30 19:37  diegoe

	* [r8264]
	  branches/gnome-2-22/src/bookmarks/ephy-bookmarks-editor.c: Make
	  the bookmarks editor search in urls and titles, closes: #328489.

2008-05-26 18:07  chpe

	* [r8258] branches/gnome-2-22/doc/reference/tmpl/EphySingle.sgml,
	  branches/gnome-2-22/doc/reference/tmpl/ephy-embed.sgml: Update

2008-05-26 17:56  chpe

	* [r8257] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp:
	  Don't check only for apps supporting URIs. Bug #534846.
	* [r8256]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Fix
	  compile warning.

2008-05-25 20:02  chpe

	* [r8253] branches/gnome-2-22/src/ephy-tabs-menu.c: Plug a mem
	  leak.

2008-05-24 12:28  diegoe

	* [r8251] branches/gnome-2-22/embed/ephy-embed-utils.c: Fix the
	  window title copying status bar's text, closes: #524587.

2008-05-23 22:01  chpe

	* [r8248]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp:
	  nother try to fix bug #534056.

2008-05-23 21:45  chpe

	* [r8247] branches/gnome-2-22/src/ephy-main.c: Bail out if the
	  --profile directory isn't an absolute path. Bug #518215.

2008-05-23 21:12  chpe

	* [r8246] branches/gnome-2-22/embed/mozilla/EventContext.cpp:
	  Remove leading/trailing whitespace from strings in EventContext.
	  Bug #533983.

2008-05-23 21:03  chpe

	* [r8245] branches/gnome-2-22/configure.ac: Version update for
	  2.22.2.
	* [r8244]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Try
	  to to fix the build on 1.8. Bug #534056.

2008-05-20 06:00  diegoe

	* [r8240]
	  branches/gnome-2-22/src/bookmarks/ephy-bookmarks-import.c: Don't
	  free file_info too soon or the pointer to file_type will be
	  lost. This fixes bookmark imports not working (note that HTML
	  import is not working, only RDF). Patch by Sebastian Keller,
	  closes: #523414.

2008-05-18 22:36  diegoe

	* [r8236] branches/gnome-2-22/configure.ac: Fix the check for a
	  valid LSB_DISTRIBUTOR string. Patch by Josselin Mouette, closes:
	  #529778.

2008-05-18 21:50  chpe

	* [r8234]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Use
	  sizeof here instead of hardcoding the current size.
	* [r8233] branches/gnome-2-22/lib/ephy-module.c: Also unload the
	  module if the returned GType is 0 here.
	* [r8232] branches/gnome-2-22/embed/mozilla/mozilla-embed.cpp: Fix
	  bug #453379.
	* [r8231] branches/gnome-2-22/data/glade/epiphany.glade,
	  branches/gnome-2-22/src/pdm-dialog.c: Fix crash in PDM when
	  clicking cookie properties button without a selected cookie. Bug
	  #504136, patch by Michael Wolf.
	* [r8230] branches/gnome-2-22/configure.ac: Fix the build so that
	  we get the "Firefox/3.0" part appended to the UA on xulrunner.
	* [r8229] branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyUtils.cpp: Convert and
	  control chars to spaces in the prompt strings. Fixes bug #504519.
	* [r8228] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/embed/mozilla/EphyXULAppInfo.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyXULAppInfo.h,
	  branches/gnome-2-22/embed/mozilla/Makefile.am,
	  branches/gnome-2-22/embed/mozilla/MozRegisterComponents.cpp:
	  Implement nsIXULAppInfo so we get the "Gecko/DATE" part in the
	  UA right. Use the 2.22.2 release date as the fixed date/build ID.
	* [r8227]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp:
	  Remove debug spew. NULL-proof the pwd entry removal.

2008-05-18 21:49  chpe

	* [r8226] branches/gnome-2-22/embed/mozilla/GlobalHistory.cpp,
	  branches/gnome-2-22/embed/mozilla/GlobalHistory.h,
	  branches/gnome-2-22/embed/mozilla/MozRegisterComponents.cpp:
	  Implement dummy nsIDownloadHistory interface on GlobalHistory.

2008-05-13 17:37  pmkovar

	* [r8220] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/cs.po: cs.po: Fixed Czech translation,
	  thanks to Pavel Sefranek and Lucas Lommer (bug #531247).

2008-05-04 20:59  frolix68

	* [r8215] branches/gnome-2-22/help/ChangeLog: Updated Greek
	  translation by Giannis Katsampirhs <juankatsampirhs@gmail.com>

2008-05-04 20:57  frolix68

	* [r8214] branches/gnome-2-22/help/el/el.po: Updated Greek
	  translation by Giannis Katsampirhs <juankatsampirhs@gmail.com>

2008-04-16 13:42  utx

	* [r8213] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/cs.po, trunk/po/ChangeLog,
	  trunk/po/cs.po: cs.po: Typo fix.

2008-04-10 21:55  chpe

	* [r8209] branches/gnome-2-22/configure.ac: Set version to 2.22.1.2

2008-04-10 21:24  chpe

	* [r8208] branches/gnome-2-22/embed/mozilla/GeckoPrintService.cpp:
	  Fix print preview. Bug #510694.

2008-04-09 16:53  chpe

	* [r8207] branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyBrowser.h: Use nsIURIFixup
	  instead of massaging the URI ourself.

2008-04-09 13:45  chpe

	* [r8206] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp,
	  branches/gnome-2-22/embed/mozilla/ContentHandler.h: Cleanup

2008-04-09 13:44  chpe

	* [r8205] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp:
	  Fix auto-open. Bug #513837.

2008-04-09 13:43  chpe

	* [r8204] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp:
	  Add another death grip.

2008-04-09 13:32  chpe

	* [r8203] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp:
	  Add a kung fu death grip to keep us alive. Part of bug #513837

2008-04-07 16:42  chpe

	* [r8200] branches/gnome-2-22/configure.ac: Post release version
	  bump

2008-04-07 16:34  chpe

	* [r8198] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/embed/mozilla/Makefile.am: Release 2.22.1.1

2008-04-07 12:18  chpe

	* [r8195] branches/gnome-2-22/configure.ac: post release version
	  bump

2008-04-07 12:17  chpe

	* [r8193] branches/gnome-2-22/Makefile.am,
	  branches/gnome-2-22/doc/reference/tmpl/EphySingle.sgml,
	  branches/gnome-2-22/doc/reference/tmpl/ephy-embed.sgml: Release
	  2.22.1

2008-04-06 15:22  reinouts

	* [r8190] branches/gnome-2-22/NEWS,
	  branches/gnome-2-22/help/ChangeLog,
	  branches/gnome-2-22/help/nl/nl.po: * 2008-04-06 Reinout van
	  Schouwen <reinouts@gnome.org> - help/nl/nl.po: Updated Dutch
	  translation - NEWS: update for 2.22.1 release

2008-04-06 14:35  chpe

	* [r8189] branches/gnome-2-22/embed/ephy-password-manager.c: Fix
	  mem leak.
	* [r8188]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Use
	  ephy_password_info_new to allocate EphyPasswordInfo, not g_new.
	  Fixes a crash in the PDM passwords tab.

2008-04-04 12:12  chpe

	* [r8187] branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyPromptService.h: Add
	  nsIPromptService2.

2008-04-04 12:05  eskildh

	* [r8186] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/nn.po: Updated the Norwegian Nynorsk
	  translation

2008-04-02 19:51  pwithnall

	* [r8181] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/en_GB.po: 2008-04-02 Philip Withnall
	  <pwithnall@svn.gnome.org> * en_GB.po: Fixed British English
	  translation.

2008-04-01 00:27  chpe

	* [r8178] branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp: Try
	  harder to fix the build with gecko 1.8

2008-03-31 21:55  chpe

	* [r8176] branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyBrowser.h: Try to fix the
	  build with gecko 1.8

2008-03-31 00:03  chpe

	* [r8174] branches/gnome-2-22/lib/widgets/ephy-location-entry.c:
	  Make the extra column pack-end so that when we hide it when it's
	  empty, the other column expands. This makes bookmarks take up
	  all the space instead of being truncated at the half.

2008-03-29 18:53  al_shopov

	* [r8171] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/bg.po: 2008-03-29 Alexander Shopov
	  <ash@contact.bg> * bg.po: Updated Bulgarian translation by
	  Alexander Shopov <ash@contact.bg>

2008-03-29 18:35  al_shopov

	* [r8169] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/bg.po: 2008-03-29 Alexander Shopov
	  <ash@contact.bg> * bg.po: Updated Bulgarian translation by Yavor
	  Doganov <yavor@gnu.org>

2008-03-29 03:57  yairhr

	* [r8167] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/he.po: updated hebrew translation

2008-03-28 15:10  chpe

	* [r8165]
	  branches/gnome-2-22/embed/mozilla/ephyIAddCertExceptionParams.h:
	  Do use a 1.9 xpidl for this
	* [r8164]
	  branches/gnome-2-22/embed/mozilla/ephyIAddCertExceptionParams.h:
	  Renegerate this with an older xpidl version, so it compiles on
	  xr1.9 beta release

2008-03-28 15:09  chpe

	* [r8163] branches/gnome-2-22/data/chrome/netError.dtd: Remove the
	  useless "Get me out of here!" button.
	* [r8162] branches/gnome-2-22/configure.ac: Comment out useless
	  stuff
	* [r8161] branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyBrowser.h,
	  branches/gnome-2-22/embed/mozilla/EphyDirectoryProvider.cpp,
	  branches/gnome-2-22/embed/mozilla/Makefile.am,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.h,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.idl,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.js,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.xpt,
	  branches/gnome-2-22/embed/mozilla/ephyIAddCertExceptionParams.h,
	  branches/gnome-2-22/embed/mozilla/ephyIAddCertExceptionParams.idl,
	  branches/gnome-2-22/embed/mozilla/epiphany.xpt,
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Next
	  try to get cert exception addition working. This too isn't not
	  working correctly though; it fails to get any properties from my
	  |arguments| object.
	* [r8160] branches/gnome-2-22/data/chrome/netError.dtd: Add this
	* [r8159] branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp:
	  Fix the build
	* [r8158] branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyPromptService.h: Try to
	  fix the build on 1.8.

2008-03-28 15:08  chpe

	* [r8157]
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.h,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.idl,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.js,
	  branches/gnome-2-22/embed/mozilla/ephyAddCertException.xpt: Add
	  a service to open the cert exception dialogue.
	* [r8156] branches/gnome-2-22/data/chrome/Makefile.am,
	  branches/gnome-2-22/data/chrome/app-chrome.manifest.in: Add
	  netError overrides for the cert exception dialogue.
	* [r8155] branches/gnome-2-22/embed/mozilla/FilePicker.cpp: Fix
	  the build with 1.9b4.
	* [r8154] branches/gnome-2-22/embed/mozilla/Makefile.am: Only
	  build EphyDirectoryProvider on < 1.9; it's unused on 1.9.
	* [r8153] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp,
	  branches/gnome-2-22/embed/mozilla/MozDownload.cpp: Remove the
	  unnecessary setting of the preffered action in the casees that
	  action was going to be the default one anyway. Don't open twice,
	  just let gecko handle opening in the preferred application.
	  Browse-to doesn't seem to work yet.
	* [r8152]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Make
	  this inclusion conditionally, since we don't use our directory
	  provider on xr 1.9.

2008-03-28 15:07  chpe

	* [r8151] branches/gnome-2-22/embed/mozilla/EphyContentPolicy.cpp:
	  Typo fix
	* [r8150] branches/gnome-2-22/data/chrome/Makefile.am,
	  branches/gnome-2-22/data/chrome/app-chrome.manifest.in,
	  branches/gnome-2-22/data/chrome/epiphany.manifest.in,
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Fix
	  the branding bundle registration by providing the app chrome
	  manifest in the right directory, and set that directory as the
	  component directory with gtk_moz_embed_set_comp_path.
	* [r8149] branches/gnome-2-22/src/bookmarks/ephy-bookmarks.c: Fix
	  multiple crashers in the zeroconf bookmarks. Bug #516008;
	  partially based on a patch by Cosimo Cecchi.
	* [r8148] branches/gnome-2-22/embed/mozilla/ContentHandler.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyPromptService.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyPromptService.h,
	  branches/gnome-2-22/embed/mozilla/MozDownload.cpp,
	  branches/gnome-2-22/embed/mozilla/MozDownload.h,
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Try
	  again to fix the directory provider for 1.9. Branding still
	  fails though
	* [r8147]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Try
	  to fix the gecko 1.8 backend, and this also might fix the
	  branding bundle not working on 1.9
	* [r8146] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/embed/ephy-favicon-cache.c: Use GChecksum to
	  calculate the MD5 of favicons.
	* [r8145] branches/gnome-2-22/m4/gecko.m4: Don't use
	  AM_CONDITIONAL conditionally

2008-03-28 15:06  chpe

	* [r8144]
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp: Fix
	* [r8143] branches/gnome-2-22/configure.ac: Try to fix the build
	  with 1.8
	* [r8142] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/doc/reference/Makefile.am,
	  branches/gnome-2-22/embed/Makefile.am,
	  branches/gnome-2-22/embed/ephy-password-manager.c,
	  branches/gnome-2-22/embed/ephy-password-manager.h,
	  branches/gnome-2-22/embed/mozilla/AutoModalDialog.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyBrowser.cpp,
	  branches/gnome-2-22/embed/mozilla/GtkNSSDialogs.cpp,
	  branches/gnome-2-22/embed/mozilla/Makefile.am,
	  branches/gnome-2-22/embed/mozilla/mozilla-embed-single.cpp,
	  branches/gnome-2-22/m4/gecko.m4,
	  branches/gnome-2-22/plugins/desktop-file/Makefile.am,
	  branches/gnome-2-22/src/Makefile.am: Allow building with
	  xulrunner 1.9. Patch by Alexander Sack; part of bug #503657
	* [r8141] branches/gnome-2-22/embed/ephy-favicon-cache.c,
	  branches/gnome-2-22/embed/ephy-password-manager.c,
	  branches/gnome-2-22/embed/ephy-permission-manager.c: Use g_slice
	  for EphyPasswordInfo, EphyPermissionInfo, PixbufCacheEntry.
	  (#521017)
	* [r8140] branches/gnome-2-22/embed/ephy-cookie-manager.c: Use
	  g_slice for EphyCookie allocation. (#520560)

2008-03-26 22:08  diegoe

	* [r8133] branches/gnome-2-22/Makefile.am: Fix changelog
	  generation to consider only the current branch.

2008-03-25 22:53  pwithnall

	* [r8131] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/en_GB.po: 2008-03-25 Philip Withnall
	  <pwithnall@svn.gnome.org> * en_GB.po: Updated British English
	  translation.

2008-03-23 12:09  pclouds

	* [r8127] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/vi.po: 2008-03-23 Nguyễn Thái Ngọc Duy
	  <pclouds@gmail.com> * vi.po: Update Vietnamese translation

2008-03-21 19:06  mateju

	* [r8125] branches/gnome-2-22/po/sl.po: Updated Slovenian
	  translation

2008-03-19 15:38  pkst

	* [r8123] branches/gnome-2-22/po/ChangeLog: Updated Greek
	  translation

2008-03-19 15:28  pkst

	* [r8121] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/el.po: Updated Greek translation

2008-03-17 23:21  frolix68

	* [r8120] branches/gnome-2-22/help/ChangeLog: Updated Greek
	  translation

2008-03-17 23:20  frolix68

	* [r8119] branches/gnome-2-22/help/el/el.po: Updated Greek
	  translation

2008-03-16 20:56  diegoe

	* [r8112] branches/gnome-2-22/src/ephy-location-action.c: Revert
	  the bookmark/history item no-dupes patch. It was slowing down
	  ephy.

2008-03-16 09:57  iharh

	* [r8111] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/be.po: Fixed an error in Belarusian
	  translation.

2008-03-10 11:19  rranjan

	* [r8090] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/hi.po: hindi update for bug

2008-03-10 09:41  chpe

	* [r8089] branches/gnome-2-22/configure.ac,
	  branches/gnome-2-22/doc/reference/tmpl/EphySingle.sgml,
	  branches/gnome-2-22/doc/reference/tmpl/ephy-embed.sgml: Post
	  release version bump

2008-03-10 09:33  chpe

	* [r8087] branches/gnome-2-22/embed/Makefile.am: Fix make dist

2008-03-10 09:15  chpe

	* [r8086] branches/gnome-2-22/embed/mozilla/AutoModalDialog.cpp,
	  branches/gnome-2-22/embed/mozilla/GtkNSSDialogs.cpp: Remove this
	  patch that was accidentally committed on the branch instead of
	  on trunk

2008-03-10 09:10  chpe

	* [r8085] branches/gnome-2-22/embed/mozilla/EphyLoginPrompter.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyLoginPrompter.h: Remove
	  this patch that was accidentally committed on the branch instead
	  of on trunk

2008-03-10 09:08  chpe

	* [r8084]
	  branches/gnome-2-22/embed/mozilla/MozRegisterComponents.cpp:
	  Remove this patch that was accidentally committed on the branch
	  instead of on trunk

2008-03-09 23:48  reinouts

	* [r8082] branches/gnome-2-22/NEWS: 2008-03-10 Reinout van
	  Schouwen <reinouts@gnome.org> - NEWS: updated for 2.22.0

2008-03-09 22:22  nshmyrev

	* [r8081] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/ru.po: 2008-03-09 Vasiliy Faronov
	  <qvvx@yandex.ru> * ru.po: Updated Russian translation.

2008-03-09 22:08  chpe

	* [r8079]
	  branches/gnome-2-22/embed/mozilla/MozRegisterComponents.cpp:
	  Comment the login manager prompter again; probably it's not
	  needed after all.

2008-03-09 21:21  sigurd

	* [r8078] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/nb.po: 2008-03-09 Sigurd Gartmann
	  <sigurdga-translate@brogar.org> * nb.po: Fix typo
	  "nettverskproblem"

2008-03-09 19:56  chpe

	* [r8076] branches/gnome-2-22/embed/mozilla/EphyLoginPrompter.cpp:
	  Add some checking.

2008-03-09 19:48  chpe

	* [r8075] branches/gnome-2-22/embed/mozilla/EphyLoginPrompter.cpp,
	  branches/gnome-2-22/embed/mozilla/EphyLoginPrompter.h,
	  branches/gnome-2-22/embed/mozilla/MozRegisterComponents.cpp: Add
	  stub impl of nsILoginManagerPrompter.

2008-03-09 18:35  chpe

	* [r8074] branches/gnome-2-22/embed/mozilla/GtkNSSDialogs.cpp: Add
	  ifdef for a function that's unused on gecko 1.9.

2008-03-09 18:09  chpe

	* [r8073] branches/gnome-2-22/embed/mozilla/AutoModalDialog.cpp:
	  Remove unused includes.

2008-03-09 13:48  kmaraas

	* [r8072] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/nb.po: 2008-03-09 Kjartan Maraas
	  <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2008-03-09 11:11  aflinta

	* [r8070] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/pl.po: 2008-03-09 Artur Flinta
	  <aflinta@gmail.com> * pl.po: Updated Polish translation by GNOME
	  PL Team.

2008-03-09 06:43  runab

	* [r8069] branches/gnome-2-22/po/ChangeLog: Added Entry for
	  Bengali India Translation updation by Sankarshan Mukhopadhyay
	* [r8068] branches/gnome-2-22/po/bn_IN.po: Updated Bengali India
	  Translations by Sankarshan Mukhopadhyay

2008-03-09 00:06  chliao

	* [r8066] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/zh_HK.po,
	  branches/gnome-2-22/po/zh_TW.po: 2008-03-09 Chao-Hsiung Liao
	  <j_h_liau@yahoo.com.tw> * zh_HK.po: Updated Traditional Chinese
	  translation(Hong Kong). * zh_TW.po: Updated Traditional Chinese
	  translation(Taiwan).

2008-03-08 22:02  wadimd

	* [r8065] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/pl.po: 2008-03-08 Wadim Dziedzic
	  <wadimd@svn.gnome.org> * pl.po: Updated polish translation

2008-03-08 18:59  djihed

	* [r8064] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/ar.po: Updated Arabic Translation by
	  Djihed Afifi.

2008-03-08 18:48  kennethn

	* [r8062] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/da.po: Updated Danish translation

2008-03-08 15:43  plaes

	* [r8061] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/et.po: 2008-03-08 Priit Laes <plaes at
	  svn dot gnome dot org> * et.po: Translation updated by Ivar
	  Smolin

2008-03-07 20:45  gintas

	* [r8057] branches/gnome-2-22/po/lt.po: 2008-03-07 Gintautas
	  Miliauskas <gintas@akl.lt> * lt.po: Updated Lithuanian
	  translation.

2008-03-07 19:34  dnylande

	* [r8056] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/sv.po: sv.po: Updated Swedish translation

2008-03-07 16:45  hendrikr

	* [r8052] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/de.po: 2008-03-07 Hendrik Richter
	  <hendrikr@gnome.org> * de.po: Updated German translation.

2008-03-07 15:32  arangela

	* [r8050] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/mk.po: Arangel Angov
	  <arangel@linux.net.mk> * mk.po: Updated Macedonian translation

2008-03-07 15:30  tkaroonb

	* [r8049] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/th.po: 2008-03-07 Theppitak
	  Karoonboonyanan <thep@linux.thai.net> * th.po: Updated Thai
	  translation.

2008-03-07 11:59  mdziumanenko

	* [r8048] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/uk.po: 2008-03-07 Maxim Dziumanenko
	  <dziumanenko@gmail.com> * Update Ukrainian translation.

2008-03-07 09:07  cwryu

	* [r8046] branches/gnome-2-22/po/ChangeLog,
	  branches/gnome-2-22/po/ko.po: Updated Korean translation

2008-03-05 19:00  chpe

	* [r8043] branches/gnome-2-22/configure.ac: Updating version on
	  branch

2008-03-05 18:55  chpe

	* [r8041] branches/gnome-2-22: Branching for 2.22

2008-03-05 13:41  rahulb

	* [r8039] trunk/po/mr.po: Updated Marathi Translations

2008-03-05 13:40  rahulb

	* [r8038] trunk/po/ChangeLog: Updated Marathi Translations

2008-03-05 11:11  plaes

	* [r8037] trunk/po/ChangeLog, trunk/po/et.po: 2008-03-05 Priit
	  Laes <plaes at svn dot gnome dot org> * et.po: Translation
	  updated by Ivar Smolin

2008-03-05 09:01  lferrett

	* [r8036] trunk/po/it.po: Fixed a typo in my latest commit

2008-03-05 08:59  ankitp

	* [r8035] trunk/po/ChangeLog, trunk/po/gu.po: Updated Translation

2008-03-05 08:55  lferrett

	* [r8034] trunk/po/ChangeLog, trunk/po/it.po: 2008-03-05 Luca
	  Ferretti <elle.uca@libero.it> * it.po: Updated Italian
	  translation.

2008-03-05 03:24  leonardof

	* [r8033] trunk/po/ChangeLog, trunk/po/pt_BR.po: Updated Brazilian
	  Portuguese translation.

2008-03-05 00:59  reinouts

	* [r8032] trunk/help/nl/nl.po: 2008-03-04 Reinout van Schouwen
	  <reinouts@gnome.org> - nl.po: Updated Dutch translation of
	  documentation

2008-03-04 22:49  pmkovar

	* [r8031] trunk/po/ChangeLog, trunk/po/cs.po: cs.po: Updated Czech
	  translation by Lucas Lommer.

2008-03-04 20:21  wbolster

	* [r8030] trunk/doc/reference/tmpl/EphySingle.sgml,
	  trunk/lib/ephy-file-helpers.c: Fix build with latest glib.

2008-03-04 17:27  dooteo

	* [r8029] trunk/po/ChangeLog, trunk/po/eu.po: 2008-03-04 Inaki
	  Larranaga Murgoitio <dooteo@euskalgnu.org> * eu.po: Updated
	  Basque translation.

2008-03-04 15:22  icq

	* [r8028] trunk/po/ChangeLog, trunk/po/gl.po: Updated Galician
	  Translation.

2008-03-04 14:09  aihana

	* [r8027] trunk/po/ChangeLog, trunk/po/ja.po: 2008-03-04 Takeshi
	  AIHANA <takeshi.aihana@gmail.com> * ja.po: Updated Japanese
	  translation.

2008-03-04 13:52  jorgegonz

	* [r8026] trunk/help/ChangeLog, trunk/help/es/es.po,
	  trunk/help/es/figures/ephy-addressbar-smartbookmark-screenshot.png,
	  trunk/help/es/figures/ephy-bookmarkbar-smartbookmark-screenshot.png,
	  trunk/help/es/figures/ephy-history-window-screenshot.png,
	  trunk/help/es/figures/ephy-screenshot.png: Updated Spanish
	  translation

2008-03-04 13:31  wbolster

	* [r8025] trunk/po/ChangeLog, trunk/po/nl.po: 2008-03-04 Wouter
	  Bolsterlee <wbolster@svn.gnome.org> * nl.po: Dutch translation
	  updated by Wouter Bolsterlee.

2008-03-04 13:09  tjyrinki

	* [r8024] trunk/po/fi.po: update fi.po translations

2008-03-04 11:29  kelemeng

	* [r8023] trunk/po/ChangeLog, trunk/po/hu.po: 2008-03-04 Gabor
	  Kelemen <kelemeng@gnome.hu> * hu.po: Translation updated

2008-03-04 09:22  claudep

	* [r8022] trunk/po/ChangeLog, trunk/po/fr.po: 2008-03-04 Claude
	  Paroz <claude@2xlibre.net> * fr.po: Updated French translation.

2008-03-04 07:58  zyang

	* [r8021] trunk/po/zh_CN.po: Updated zh_CN translation

2008-03-04 00:01  dnloreto

	* [r8020] trunk/po/ChangeLog, trunk/po/pt.po: 2008-03-04 Duarte
	  Loreto <happyguy_pt@hotmail.com> * pt.po: Updated Portuguese
	  translation.

2008-03-03 23:34  gforcada

	* [r8019] trunk/po/ChangeLog, trunk/po/ca.po: Updated Catalan
	  translation

2008-03-03 21:55  frolix68

	* [r8018] trunk/po/ChangeLog, trunk/po/el.po: Updated Greek
	  translation

2008-03-03 21:38  lferrett

	* [r8017] trunk/po/ChangeLog, trunk/po/it.po: 2008-03-03 Luca
	  Ferretti <elle.uca@libero.it> * it.po: Updated Italian
	  translation.

2008-03-03 21:35  iharh

	* [r8016] trunk/po/ChangeLog, trunk/po/be@latin.po: Updated
	  Belarusian Latin translation.

2008-03-03 21:16  pwithnall

	* [r8015] trunk/po/ChangeLog, trunk/po/en_GB.po: 2008-03-03 Philip
	  Withnall <pwithnall@svn.gnome.org> * en_GB.po: Updated British
	  English translation.

2008-03-03 21:01  jorgegonz

	* [r8014] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2008-03-03 20:43  lferrett

	* [r8013] trunk/data/glade/epiphany.glade: Mark "Clear All" string
	  in Personal Data dialog for translation (bug 519908)

2008-03-03 07:06  pwithnall

	* [r8012] trunk/po/ChangeLog, trunk/po/en_GB.po: 2008-03-03 Philip
	  Withnall <pwithnall@svn.gnome.org> * en_GB.po: Updated British
	  English translation.

2008-03-02 14:27  lferrett

	* [r8011] trunk/po/ChangeLog, trunk/po/it.po: 2008-03-02 Luca
	  Ferretti <elle.uca@libero.it> * it.po: Updated Italian
	  translation.

2008-03-02 01:01  aasmunds

	* [r8010] trunk/po/ChangeLog, trunk/po/nn.po: 2008-03-02 Åsmund
	  Skjæveland <aasmunds@ulrik.uio.no> * nn.po: Updated Norwegian
	  Nynorsk translation.

2008-03-01 18:36  dnylande

	* [r8009] trunk/po/sv.po: sv.po: Updated Swedish translation

2008-03-01 17:11  jorgegonz

	* [r8008] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2008-03-01 15:59  dnylande

	* [r8007] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Updated
	  Swedish translation

2008-03-01 15:52  apravi

	* [r8006] trunk/po/ml.po: updated to latest pot file, reviewed and
	  completed translation

2008-02-29 17:33  xan

	* [r8005] trunk/embed/webkit/webkit-embed.c: Use g_object_connect
	  for multiple signal connections to the same object.

2008-02-29 17:26  xan

	* [r8004] trunk/embed/webkit/webkit-embed.c: Do not set to NULL
	  private members in init, memory is already zeroed.

2008-02-29 15:07  tjyrinki

	* [r8003] trunk/po/fi.po: protokolla -> yhteyskäytäntö and small
	  fixes

2008-02-28 22:13  jensg

	* [r8002] trunk/embed/ephy-base-embed.c: Strip anchors from URIs
	  before trying to turn them into a GFile, and properly handle
	  get_file_info failing. Fixes a crash when using URLs like
	  file:///path#anchor. Bug #519370.

2008-02-28 14:29  chpe

	* [r8001] trunk/embed/mozilla/AutoModalDialog.cpp: Initialise
	  variable. Bug #519173.

2008-02-28 14:18  chpe

	* [r8000] trunk/doc/reference/tmpl/ephy-embed.sgml: updates

2008-02-28 14:17  chpe

	* [r7999] trunk/embed/mozilla/AutoModalDialog.h,
	  trunk/embed/mozilla/GtkNSSDialogs.h: Fix
	  AutoModalDialog::ShouldShow(). Bug #519173.

2008-02-28 11:35  amitakhya

	* [r7998] trunk/po/ChangeLog, trunk/po/as.po: updated assamese
	  translations

2008-02-28 01:44  kelemeng

	* [r7997] trunk/po/hu.po: 2008-02-28 Gabor Kelemen
	  <kelemeng@gnome.hu> * hu.po: Translation updated

2008-02-28 01:43  kelemeng

	* [r7996] trunk/po/ChangeLog: 2008-02-28 Gabor Kelemen
	  <kelemeng@gnome.hu> * hu.po: Translation updated

2008-02-27 21:55  xan

	* [r7995] trunk/embed/webkit/webkit-embed-prefs.c: Support more
	  preferences in the WebKit backend and add code to easily add
	  support for more (in theory..).

2008-02-27 19:13  carlosgc

	* [r7994] trunk/embed/downloader-view.c: Fix a crash when
	  downloading a file. (Bug #519121)

2008-02-27 14:38  djihed

	* [r7993] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Khaled Hosny.

2008-02-26 21:25  chpe

	* [r7992] trunk/Makefile.am: Fix build

2008-02-26 21:12  jensg

	* [r7991] trunk/lib/egg/egg-toolbar-editor.c: Declare variable at
	  the beginning of the function to fix build with compilers that
	  only understand C89. Bug #518890.

2008-02-26 20:13  chpe

	* [r7990] trunk/configure.ac, trunk/data/glade/Makefile.am,
	  trunk/data/glade/certs-manager.glade, trunk/embed/Makefile.am,
	  trunk/embed/ephy-certificate-manager.c,
	  trunk/embed/ephy-certificate-manager.h,
	  trunk/embed/ephy-x509-cert.c, trunk/embed/ephy-x509-cert.h,
	  trunk/embed/mozilla/Makefile.am,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.h,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/embed/mozilla-x509-cert.cpp,
	  trunk/embed/xulrunner/embed/mozilla-x509-cert.h,
	  trunk/po/POTFILES.skip, trunk/src/Makefile.am,
	  trunk/src/ephy-cert-manager-dialog.c,
	  trunk/src/ephy-cert-manager-dialog.h, trunk/src/ephy-window.c,
	  trunk/src/window-commands.c: Remove cruft

2008-02-26 16:20  zygis

	* [r7989] trunk/po/ChangeLog, trunk/po/lt.po: Updated Lithuanian
	  translation.

2008-02-25 21:16  chpe

	* [r7987] trunk/Makefile.am: The cert manager is useless and
	  doesn't build; remove --enable-certificate-manager from
	  distcheck flags.

2008-02-25 21:06  chpe

	* [r7986] trunk/embed/ephy-adblock.h: Add new types from xr 1.9.

2008-02-25 21:00  chpe

	* [r7985] trunk/src/bookmarks/ephy-bookmark-action-group.c:
	  Connect the signal before unreffing the action, just to be
	  absolutely safe.

2008-02-25 20:42  chpe

	* [r7984] trunk/embed/mozilla/EphyContentPolicy.cpp: Update for
	  added nsIContentPolicy constants in 1.9.

2008-02-25 20:41  chpe

	* [r7983] trunk/src/bookmarks/ephy-bookmark-action-group.c: Remove
	  duplicate bookmarks property update, which is superflous since
	  it was already updated when the node was set into the action on
	  construction. Might fix bug #516008, where for unknown reasons
	  the action seems to be finalised when we get here.

2008-02-25 20:38  chpe

	* [r7982] trunk/lib/ephy-password-dialog.c: Accept empty password
	  to unlock a token; and allow empty new password if the requested
	  password quality allows it. Bug #515096, patch by Thomas Wendt.

2008-02-25 19:37  chpe

	* [r7981] trunk/configure.ac, trunk/embed/ephy-history.c,
	  trunk/src/bookmarks/ephy-bookmark-action.c,
	  trunk/src/bookmarks/ephy-bookmarks-export.c,
	  trunk/src/popup-commands.c: Adapt to gio API change

2008-02-25 19:36  chpe

	* [r7980] trunk/configure.ac: Version bump

2008-02-24 20:06  xan

	* [r7979] trunk/embed/mozilla/mozilla-embed-single.cpp: Remove
	  unused struct member.

2008-02-24 09:54  xan

	* [r7978] trunk/embed/webkit/webkit-embed-single.c: Make
	  epiphany/webkit start in online mode (though there is no
	  difference between online and offline mode at this point).

2008-02-24 00:44  aihana

	* [r7977] trunk/po/ChangeLog, trunk/po/ja.po: 2008-02-24 Takeshi
	  AIHANA <takeshi.aihana@gmail.com> * ja.po: Updated Japanese
	  translation.

2008-02-23 11:48  yairhr

	* [r7976] trunk/po/he.po: updated hebrew translation

2008-02-23 11:04  yairhr

	* [r7975] trunk/po/ChangeLog, trunk/po/he.po: updated hebrew
	  translation

2008-02-23 02:05  zyang

	* [r7974] trunk/po/zh_CN.po: Updated zh_CN translation

2008-02-22 23:07  pmkovar

	* [r7973] trunk/po/ChangeLog, trunk/po/cs.po: cs.po: Updated Czech
	  translation by Lucas Lommer.

2008-02-20 20:19  xan

	* [r7972] trunk/embed/mozilla/EphyUtils.cpp: Make
	  EphyUtils::FindEmbed return the parent of the mozembed, as it is
	  now contained inside EphyEmbed instead of being its parent
	  class. (#517149)

2008-02-20 12:07  chpe

	* [r7971] trunk/configure.ac: Remove obsolete check. Bug #333445

2008-02-19 22:36  ymarcheg

	* [r7970] trunk/po/oc.po: Updated Occitan translation

2008-02-19 22:15  kennethn

	* [r7969] trunk/po/ChangeLog, trunk/po/da.po: Updated Danish
	  translation

2008-02-19 13:53  mateju

	* [r7968] trunk/po/sl.po: Updated Slovenian translation

2008-02-18 13:40  chpe

	* [r7967] trunk/doc/reference/tmpl/EphySingle.sgml,
	  trunk/doc/reference/tmpl/ephy-embed.sgml,
	  trunk/embed/mozilla/AutoModalDialog.cpp,
	  trunk/embed/mozilla/AutoModalDialog.h,
	  trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/EphyPromptService.cpp,
	  trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/mozilla/GeckoFormSigningDialog.cpp,
	  trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/mozilla/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/mozilla/Makefile.am: Fix prompt service for xr 1.9
	  wrt. DOM notifications. Bug #504445.

2008-02-17 23:29  chpe

	* [r7965] trunk/doc/reference/Makefile.am: Fix the docs build.

2008-02-17 23:23  xan

	* [r7964] trunk/embed/downloader-view.c,
	  trunk/embed/ephy-download.c, trunk/embed/ephy-embed-dialog.c,
	  trunk/embed/ephy-embed-persist.c,
	  trunk/embed/ephy-embed-shell.c, trunk/embed/ephy-encodings.c,
	  trunk/embed/ephy-favicon-cache.c, trunk/embed/ephy-history.c,
	  trunk/embed/mozilla/mozilla-download.cpp,
	  trunk/embed/mozilla/mozilla-embed-event.cpp,
	  trunk/embed/mozilla/mozilla-embed-find.cpp,
	  trunk/embed/mozilla/mozilla-embed-persist.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp: Use G_DEFINE_TYPE*
	  where possible in embed/* (#517090)

2008-02-17 21:03  chpe

	* [r7963] trunk/embed/mozilla/EphyUtils.cpp: Comment this out;
	  it's unreliable

2008-02-17 20:41  bcicek

	* [r7962] trunk/po/ChangeLog, trunk/po/tr.po: Updated Turkish
	  Translation

2008-02-17 18:35  xan

	* [r7961] trunk/embed/webkit/webkit-history-item.c: Add our own
	  reference to the webkit history item.

2008-02-17 18:23  chpe

	* [r7960] trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.h: No need to implement
	  nsIBadCertListener2 here

2008-02-17 18:20  xan

	* [r7959] trunk/doc/reference/tmpl/ephy-embed.sgml,
	  trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/webkit/webkit-embed.c: Add
	  ephy-embed::new-document-now signal, does the same than old
	  ge-content-change (used by adblock extension). Part of #502283

2008-02-17 18:08  xan

	* [r7958] trunk/configure.ac, trunk/src/Makefile.am,
	  trunk/src/ephy-version.h.in: Add EPHY_CHECK_VERSION (#513128)

2008-02-17 18:05  chpe

	* [r7957] trunk/embed/mozilla/GtkNSSDialogs.cpp: Add stub for
	  displayProtectedAuth

2008-02-17 17:56  chpe

	* [r7956] trunk/embed/mozilla/EphyAboutModule.cpp: Add translator
	  comment.
	* [r7955] trunk/data/default-prefs-common.js: Disable about:config
	  warning page.

2008-02-17 16:31  cwryu

	* [r7954] trunk/po/ChangeLog, trunk/po/ko.po: Updated Korean
	  translation

2008-02-17 03:36  pclouds

	* [r7953] trunk/po/ChangeLog, trunk/po/vi.po: 2008-02-17 Nguyễn
	  Thái Ngọc Duy <pclouds@gmail.com> * vi.po: Updated Vietnamese
	  translation

2008-02-16 21:58  iharh

	* [r7952] trunk/po/ChangeLog, trunk/po/be@latin.po: Updated
	  Belarusian Latin translation.

2008-02-16 11:39  xan

	* [r7951] trunk/embed/webkit/webkit-embed-prefs.c,
	  trunk/embed/webkit/webkit-embed-prefs.h,
	  trunk/embed/webkit/webkit-embed.c: Remove unneeded embed list
	  for prefs.

2008-02-15 15:56  claudep

	* [r7950] trunk/po/ChangeLog, trunk/po/fr.po: 2008-02-15 Claude
	  Paroz <claude@2xlibre.net> * fr.po: Updated French translation
	  by Robert-André Mauchin and Claude Paroz.

2008-02-15 13:35  runab

	* [r7949] trunk/po/ChangeLog: Added Entry for Kannada Translation
	  addition and addition to LINGUAS

2008-02-15 13:34  runab

	* [r7948] trunk/po/LINGUAS: Added Kannada (kn) to the List of
	  Languages

2008-02-15 13:32  runab

	* [r7947] trunk/po/kn.po: Added Kannada Translations by Shankar
	  Prasad

2008-02-15 10:34  cosimoc

	* [r7946] trunk/embed/mozilla/mozilla-embed.cpp: Make Go Up
	  recognize HTML anchors. Bug #335631.

2008-02-15 01:10  cosimoc

	* [r7945] trunk/lib/widgets/ephy-location-entry.c,
	  trunk/lib/widgets/ephy-location-entry.h,
	  trunk/src/ephy-window.c, trunk/src/window-commands.c: Add
	  Undo/Redo commands to the location entry, both in the context
	  menu and linked to the main window commands. Bug #171179.

2008-02-14 20:14  xan

	* [r7944] trunk/data/epiphany.schemas.in, trunk/lib/ephy-prefs.h,
	  trunk/src/ephy-window.c: GConf option to disable messagebox
	  about unsubmitted form data. (#516170) Left undocumented on
	  schema because we are in string freeze, will document for 2.24.
	  Patch by Jake Nelson

2008-02-14 19:24  xan

	* [r7943] trunk/embed/webkit/webkit-embed-prefs.c: Do not apply
	  prefs to a view more than once.

2008-02-14 19:13  xan

	* [r7942] trunk/embed/webkit/webkit-embed-prefs.c: Plug leaks in
	  webkit-embed-prefs.c

2008-02-14 17:15  xan

	* [r7941] trunk/data/epiphany.pc.in: Remove internal library
	  dependencies from pc file.

2008-02-14 16:48  xan

	* [r7940] trunk/embed/webkit/Makefile.am,
	  trunk/embed/webkit/webkit-embed-prefs.c,
	  trunk/embed/webkit/webkit-embed-prefs.h,
	  trunk/embed/webkit/webkit-embed-single.c,
	  trunk/embed/webkit/webkit-embed.c: Initial implementation of
	  WebKit preferences.

2008-02-14 13:18  icq

	* [r7939] trunk/po/ChangeLog, trunk/po/gl.po: Updated Galician
	  Translation.

2008-02-14 11:58  xan

	* [r7938] trunk/data/epiphany.pc.in, trunk/src/ephy-automation.c:
	  Update dependencies in epiphany.pc.in, remove bonobo leftovers.
	* [r7937] trunk/embed/webkit/webkit-embed-single.c: Small cleanups
	  in webki-embed-single.c

2008-02-14 07:59  pachimho

	* [r7936] trunk/po/ChangeLog, trunk/po/ne.po: Updated Nepali
	  Translation

2008-02-13 05:45  ituohela

	* [r7935] trunk/po/ChangeLog, trunk/po/fi.po: Updated Finnish
	  translation

2008-02-13 00:48  reinouts

	* [r7934] trunk/po/ChangeLog, trunk/po/nl.po: 2008-02-13 Reinout
	  van Schouwen <reinouts@gnome.org> * nl.po: Updated Dutch
	  translation

2008-02-13 00:10  reinouts

	* [r7933] trunk/data/about.ini: 2008-02-13 Reinout van Schouwen *
	  Add KiBi and cosimoc to about.ini

2008-02-12 23:07  xan

	* [r7932] trunk/src/bookmarks/ephy-bookmark-action.c,
	  trunk/src/bookmarks/ephy-bookmark-factory-action.c,
	  trunk/src/bookmarks/ephy-bookmark-properties.c,
	  trunk/src/bookmarks/ephy-bookmarks-editor.c,
	  trunk/src/bookmarks/ephy-related-action.c,
	  trunk/src/bookmarks/ephy-topic-action.c,
	  trunk/src/bookmarks/ephy-topic-factory-action.c,
	  trunk/src/bookmarks/ephy-topics-entry.c,
	  trunk/src/bookmarks/ephy-topics-palette.c: Use G_DEFINE_TYPE*
	  macros in src/bookmarks/ when possible. (#516138)

2008-02-12 18:05  hendrikr

	* [r7931] trunk/po/ChangeLog, trunk/po/de.po: 2008-02-12 Hendrik
	  Richter <hendrikr@gnome.org> * de.po: Updated German translation.

2008-02-12 18:04  hendrikr

	* [r7930] trunk/help/de/de.po: Fix #513538, patch by Mart Raudsepp

2008-02-12 09:30  hendrikr

	* [r7929] trunk/po/ChangeLog, trunk/po/de.po: 2008-02-12 Hendrik
	  Richter <hendrikr@gnome.org> * de.po: Updated German translation.

2008-02-11 14:41  rahulb

	* [r7928] trunk/po/ChangeLog, trunk/po/mr.po: Updated Marathi
	  translations

2008-02-10 18:26  xan

	* [r7927] trunk/src/ephy-cert-manager-dialog.c,
	  trunk/src/ephy-completion-model.c, trunk/src/ephy-dbus.c,
	  trunk/src/ephy-encoding-dialog.c,
	  trunk/src/ephy-encoding-menu.c,
	  trunk/src/ephy-extensions-manager.c,
	  trunk/src/ephy-find-toolbar.c,
	  trunk/src/ephy-fullscreen-popup.c, trunk/src/ephy-go-action.c,
	  trunk/src/ephy-history-window.c, trunk/src/ephy-home-action.c,
	  trunk/src/ephy-link-action.c, trunk/src/ephy-link.c,
	  trunk/src/ephy-location-action.c, trunk/src/ephy-lockdown.c,
	  trunk/src/ephy-navigation-action.c,
	  trunk/src/ephy-net-monitor.c, trunk/src/ephy-python-extension.c,
	  trunk/src/ephy-python-loader.c, trunk/src/ephy-session.c,
	  trunk/src/ephy-shell.c, trunk/src/ephy-statusbar.c,
	  trunk/src/ephy-toolbar-editor.c, trunk/src/ephy-toolbar.c,
	  trunk/src/ephy-toolbars-model.c, trunk/src/pdm-dialog.c,
	  trunk/src/ppview-toolbar.c, trunk/src/prefs-dialog.c: Use
	  G_DEFINE_TYPE* when possible in src/ (#515601)

2008-02-10 14:52  xan

	* [r7926] trunk/src/ephy-navigation-action.c: Do not use history
	  API if we only want to go back or forward, only use it when
	  necessary (ie, when we want to open item in new tab). Bug #515554

2008-02-09 19:21  xan

	* [r7925] trunk/embed/webkit/webkit-embed.c: Cleanups in
	  webkit-embed.c

2008-02-09 05:47  tkaroonb

	* [r7924] trunk/po/ChangeLog, trunk/po/th.po: 2008-02-09 Theppitak
	  Karoonboonyanan <thep@linux.thai.net> * th.po: Fix typos.

2008-02-08 23:57  gforcada

	* [r7923] trunk/po/ChangeLog, trunk/po/ca.po: Updated Catalan
	  translation

2008-02-08 16:52  dooteo

	* [r7922] trunk/po/ChangeLog, trunk/po/eu.po: 2008-02-08 Inaki
	  Larranaga Murgoitio <dooteo@euskalgnu.org> * eu.po: Updated
	  Basque translation.

2008-02-07 21:24  aflinta

	* [r7921] trunk/po/ChangeLog, trunk/po/pl.po: 2008-02-07 Artur
	  Flinta <aflinta@svn.gnome.org> * pl.po: Updated Polish
	  translation by GNOME PL Team.

2008-02-05 19:57  plaes

	* [r7920] trunk/po/ChangeLog, trunk/po/et.po: 2008-02-05 Priit
	  Laes <plaes at svn dot gnome dot org> * et.po: Translation
	  updated by Ivar Smolin

2008-02-05 00:17  xan

	* [r7919] trunk/embed/webkit/webkit-history-item.c,
	  trunk/embed/webkit/webkit-history-item.h: Fix encoding for
	  webkit-history-item.*

2008-02-05 00:08  xan

	* [r7918] trunk/embed/webkit/Makefile.am,
	  trunk/embed/webkit/webkit-embed.c,
	  trunk/embed/webkit/webkit-history-item.c,
	  trunk/embed/webkit/webkit-history-item.h: Implement back and
	  forward history, patch by Jan Alonzo with several cleanups.
	  (#506566)

2008-02-04 19:05  cosimoc

	* [r7917] trunk/src/ephy-navigation-action.c: Fix back button
	  looping through history. Bug #513803.

2008-02-04 01:48  leonardof

	* [r7916] trunk/po/ChangeLog, trunk/po/pt_BR.po: 2008-02-03
	  Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org> *
	  pt_BR.po: Minor update by Vladimir Melo.

2008-02-03 16:16  arangela

	* [r7915] trunk/po/ChangeLog, trunk/po/mk.po: Arangel Angov
	  <arangel@linux.net.mk> * mk.po: Updated Macedonian Translation

2008-02-03 09:41  ymarcheg

	* [r7914] trunk/po/ChangeLog, trunk/po/oc.po: Updated Occitan
	  translation

2008-02-02 23:02  dnloreto

	* [r7913] trunk/po/ChangeLog, trunk/po/pt.po: 2008-02-02 Duarte
	  Loreto <happyguy_pt@hotmail.com> * pt.po: Updated Portuguese
	  translation.

2008-02-02 21:02  ymarcheg

	* [r7912] trunk/po/ChangeLog, trunk/po/oc.po: Updated Occitan
	  translation

2008-02-02 20:18  kmaraas

	* [r7911] trunk/po/ChangeLog, trunk/po/nb.po: 2008-02-02 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2008-02-02 17:14  leonardof

	* [r7910] trunk/po/ChangeLog, trunk/po/pt_BR.po: 2008-02-02
	  Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org> *
	  pt_BR.po: Brazilian Portuguese translation updated by Vladimir
	  Melo.

2008-02-02 10:02  tkaroonb

	* [r7909] trunk/po/ChangeLog, trunk/po/th.po: 2008-02-02 Theppitak
	  Karoonboonyanan <thep@linux.thai.net> * th.po: Updated Thai
	  translation.

2008-02-02 01:46  cosimoc

	* [r7908] trunk/lib/widgets/ephy-location-entry.c: Popup the
	  completion dropdown menu when we're focusing the location bar
	  with the cursor at the end of entry and we press down. Bug
	  #340572.

2008-02-02 00:39  djihed

	* [r7907] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Khaled Hosny.

2008-02-01 14:32  chliao

	* [r7906] trunk/po/ChangeLog, trunk/po/zh_HK.po,
	  trunk/po/zh_TW.po: 2008-02-01 Chao-Hsiung Liao
	  <j_h_liau@yahoo.com.tw> * zh_HK.po: Updated Traditional Chinese
	  translation(Hong Kong). * zh_TW.po: Updated Traditional Chinese
	  translation(Taiwan).

2008-02-01 07:07  atoker

	* [r7905] trunk/configure.ac: Track WebKit r29909 pkg-config rename

2008-02-01 07:05  amitakhya

	* [r7904] trunk/po/ChangeLog, trunk/po/LINGUAS, trunk/po/as.po:
	  updated assamese translations

2008-02-01 00:36  cosimoc

	* [r7903] trunk/src/ephy-navigation-action.c: Make middle clicking
	  on Back/Forward toolbar buttons open again in a new tab, as it
	  was in 2.20. Bug #513029.

2008-02-01 00:36  atoker

	* [r7902] trunk/embed/webkit/webkit-embed-single.c,
	  trunk/embed/webkit/webkit-embed.c: Track header location change
	  in WebKit r29898

2008-02-01 00:23  dnylande

	* [r7901] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Updated
	  Swedish translation

2008-01-31 18:53  cosimoc

	* [r7900] trunk/embed/mozilla/mozilla-embed.cpp: Fix keyboard
	  focus remaining in the location entry after entering the
	  address. Bug #513345.

2008-01-31 08:18  djihed

	* [r7899] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Khaled Hosny.

2008-01-29 13:00  jorgegonz

	* [r7898] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2008-01-28 20:43  cosimoc

	* [r7897] trunk/src/ephy-window.c: HIG fixes for menu. Bug
	  #483312, patch by Luca Ferretti.

2008-01-28 20:37  cosimoc

	* [r7896] trunk/embed/mozilla/EphyBrowser.h,
	  trunk/embed/mozilla/mozilla-x509-cert.h: Fix compilation error
	  with gcc4.3. Patch by Sebastien Bacher, bug #512027.

2008-01-28 19:41  chpe

	* [r7895] trunk/configure.ac: Post release version bump

2008-01-28 19:40  chpe

	* [r7893] trunk/configure.ac: Release 2.21.90

2008-01-28 18:35  diegoe

	* [r7892] trunk/NEWS: Draft for NEWS of 2.21.90.

2008-01-27 21:52  mdziumanenko

	* [r7891] trunk/po/ChangeLog, trunk/po/uk.po: 2008-01-27 Maxim
	  Dziumanenko <dziumanenko@gmail.com> * Update Ukrainian
	  translation.

2008-01-27 13:38  kmaraas

	* [r7890] trunk/po/ChangeLog, trunk/po/nb.po: 2008-01-27 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2008-01-27 13:24  jovanna

	* [r7889] trunk/po/ChangeLog, trunk/po/mk.po: 2008-01-27 Jovan
	  Naumovski <jovanna@svn.gnome.org> *mk.po: Updated Macedonian
	  translation.

2008-01-24 19:14  cosimoc

	* [r7888] trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/xulrunner/components/MozDownload.cpp,
	  trunk/lib/ephy-file-helpers.c, trunk/lib/ephy-file-helpers.h,
	  trunk/src/popup-commands.c: Better fix for bug #511759.

2008-01-24 18:32  claudep

	* [r7887] trunk/help/ChangeLog, trunk/help/fr/fr.po: 2008-01-24
	  Claude Paroz <claude@2xlibre.net> * fr/fr.po: Updated French
	  translation.

2008-01-24 16:23  cosimoc

	* [r7886] trunk/lib/ephy-file-helpers.c: Use g_file_new_for_uri ()
	  instead of g_file_new_for_path () in ephy_file_browse_to (). Fix
	  bug #511759.

2008-01-24 16:00  wbolster

	* [r7885] trunk/doc/reference,
	  trunk/doc/reference/tmpl/EphySingle.sgml,
	  trunk/doc/reference/tmpl/ephy-embed.sgml: Generated doc files
	  and ignore patterns

2008-01-24 15:53  wbolster

	* [r7884] trunk/data/ui/epiphany-toolbar.xml: Make ViewZoomNormal
	  button available from the toolbar editor. (It's not on the
	  default toolbar, though).

2008-01-24 15:31  wbolster

	* [r7883] trunk/data, trunk/doc/reference, trunk/embed/webkit,
	  trunk/embed/xulrunner, trunk/embed/xulrunner/bindings,
	  trunk/embed/xulrunner/bindings/python,
	  trunk/embed/xulrunner/components, trunk/embed/xulrunner/data,
	  trunk/embed/xulrunner/src, trunk/embed/xulrunner/tests,
	  trunk/embed/xulrunner/utils, trunk/help/ca, trunk/help/en_GB,
	  trunk/help/oc, trunk/xulapp: Updated ignore patterns

2008-01-24 11:58  icq

	* [r7881] trunk/po/ChangeLog, trunk/po/gl.po: Updated Galician
	  Translation.

2008-01-23 20:26  wbolster

	* [r7880] trunk/po/nl.po: Fix typos in Dutch translation

2008-01-23 13:35  plaes

	* [r7879] trunk/po/ChangeLog, trunk/po/et.po: 2008-01-23 Priit
	  Laes <plaes at svn dot gnome dot org> * et.po: Translation
	  updated by Ivar Smolin

2008-01-21 18:58  kmaraas

	* [r7878] trunk/po/ChangeLog, trunk/po/nb.po: 2008-01-21 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2008-01-20 23:35  djihed

	* [r7877] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Khaled Hosny.

2008-01-20 07:56  zyang

	* [r7876] trunk/po/zh_CN.po: Updated zh_CN translation

2008-01-19 14:17  xan

	* [r7875] trunk/lib/Makefile.am: Fix build for builddir != srcdir

2008-01-18 20:14  gforcada

	* [r7874] trunk/po/ChangeLog, trunk/po/tr.po: Updated Turkish
	  translation to pass msgfmt -cv

2008-01-18 17:07  dooteo

	* [r7873] trunk/po/ChangeLog, trunk/po/eu.po: 2008-01-18 Inaki
	  Larranaga Murgoitio <dooteo@euskalgnu.org> * eu.po: Updated
	  Basque translation.

2008-01-18 03:56  atoker

	* [r7872] trunk/embed/webkit/webkit-embed.c: Track upstream API
	  change in WebKit r29550

2008-01-16 15:08  kelemeng

	* [r7871] trunk/po/ChangeLog, trunk/po/hu.po: 2008-01-16 Gabor
	  Kelemen <kelemeng@gnome.hu> * hu.po: Translation updated

2008-01-15 14:13  rdejus

	* [r7870] trunk/po/ChangeLog, trunk/po/lv.po: Updated Latvian
	  Translation.

2008-01-15 07:56  xan

	* [r7869] trunk/src/bookmarks/ephy-bookmarks-export.c: Fix
	  compilation when debug is enabled. Patch by Joseph Sacco
	  (#509541)

2008-01-14 23:32  chpe

	* [r7868] trunk/configure.ac: Post release version bump

2008-01-14 23:30  chpe

	* [r7866] trunk/configure.ac,
	  trunk/doc/reference/tmpl/ephy-embed.sgml,
	  trunk/doc/reference/tmpl/ephy-shell.sgml,
	  trunk/doc/reference/tmpl/epiphany-unused.sgml: Release 2.21.5

2008-01-14 20:50  cosimoc

	* [r7865] trunk/src/ephy-notebook.c: Fix cropped close button on
	  tab labels with gnome-icon-theme 2.21.x. Bug #499983.

2008-01-14 20:26  cosimoc

	* [r7864] trunk/configure.ac, trunk/embed/ephy-base-embed.c,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/src/ephy-extensions-manager.c: Update to new glib 2.15.2
	  API, bump glib dep and remove a remaining gnome-vfs bit from
	  configure.ac.

2008-01-14 19:29  cosimoc

	* [r7863] trunk/src/bookmarks/ephy-bookmarks.c: Add #ifdef for
	  Avahi includes in ephy-bookmarks.c. Bug #509325.

2008-01-14 17:43  dnylande

	* [r7862] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Swedish
	  translation updated

2008-01-14 14:57  jorgegonz

	* [r7861] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2008-01-14 09:23  kmaraas

	* [r7860] trunk/po/ChangeLog, trunk/po/POTFILES.in,
	  trunk/po/nb.po: 2008-01-14 Kjartan Maraas <kmaraas@gnome.org> *
	  POTFILES.in: add missing files * nb.po: updated Norwegian bokmål
	  translation.

2008-01-13 20:42  cosimoc

	* [r7859] trunk/lib/egg/eel-app-launch-context.c,
	  trunk/lib/egg/eel-app-launch-context.h: Missing files from last
	  commit.
	* [r7858] trunk/configure.ac, trunk/embed/downloader-view.c,
	  trunk/embed/ephy-base-embed.c, trunk/embed/ephy-download.c,
	  trunk/embed/ephy-favicon-cache.c, trunk/embed/ephy-history.c,
	  trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/ContentHandler.h,
	  trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/mozilla/MozDownload.h,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed-single.c,
	  trunk/embed/webkit/webkit-embed.c,
	  trunk/embed/xulrunner/components/ContentHandler.cpp,
	  trunk/embed/xulrunner/components/ContentHandler.h,
	  trunk/embed/xulrunner/components/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/EphyHeaderSniffer.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/lib/Makefile.am, trunk/lib/egg/Makefile.am,
	  trunk/lib/ephy-file-chooser.c, trunk/lib/ephy-file-helpers.c,
	  trunk/lib/ephy-file-helpers.h, trunk/lib/ephy-node-db.c,
	  trunk/lib/ephy-string.c, trunk/lib/ephy-string.h,
	  trunk/src/bookmarks/Makefile.am,
	  trunk/src/bookmarks/ephy-bookmark-action.c,
	  trunk/src/bookmarks/ephy-bookmarks-export.c,
	  trunk/src/bookmarks/ephy-bookmarks-import.c,
	  trunk/src/bookmarks/ephy-bookmarks.c,
	  trunk/src/bookmarks/ephy-topic-action.c,
	  trunk/src/ephy-extensions-manager.c, trunk/src/ephy-main.c,
	  trunk/src/ephy-session.c, trunk/src/ephy-window.c,
	  trunk/src/popup-commands.c, trunk/src/prefs-dialog.c,
	  trunk/src/window-commands.c: Drop gnome-vfs dependency. Now
	  Epiphany depends on glib >= 2.15.1. Also, optional Zeroconf
	  support depends on Avahi >= 0.6.22. Bug #507152.

2008-01-12 18:46  cwryu

	* [r7857] trunk/po/ChangeLog, trunk/po/ko.po: Updated Korean
	  translation.

2008-01-10 20:40  cosimoc

	* [r7856] trunk/src/ephy-activation.c, trunk/src/ephy-main.c,
	  trunk/src/ephy-session.c, trunk/src/ephy-shell.c,
	  trunk/src/ephy-shell.h: Open externally opened link in current
	  tab if it is blank. Fix bug #499613.

2008-01-08 21:22  xan

	* [r7855] trunk/src/ephy-encoding-dialog.c: Don't use net-stop
	  signal, it's gone. Switch to notify::load-status

2008-01-08 12:12  yairhr

	* [r7854] trunk/po/ChangeLog, trunk/po/he.po: updated hebrew
	  translation

2008-01-06 00:07  iharh

	* [r7851] trunk/po/ChangeLog, trunk/po/be@latin.po: Updated
	  Belarusian Latin translation.

2008-01-04 20:02  xan

	* [r7850] trunk/embed/webkit/webkit-embed-find.c: Update to new
	  coding guidelines.

2008-01-04 16:27  eronahi

	* [r7849] trunk/po/ChangeLog, trunk/po/ku.po: Updated Kurdish
	  translation

2008-01-04 13:04  clyties

	* [r7848] trunk/po/ChangeLog, trunk/po/vi.po: Updated Vietnamese
	  translation

2008-01-03 20:39  kmaraas

	* [r7847] trunk/po/ChangeLog, trunk/po/nb.po: 2008-01-03 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2008-01-03 04:10  anipeter

	* [r7846] trunk/po/ChangeLog: Updated Malayalam Translation
	* [r7845] trunk/po/ml.po: Updated Malayalam Translation

2008-01-02 18:17  dnylande

	* [r7844] trunk/help/ChangeLog, trunk/help/sv/sv.po: * sv/sv.po:
	  Updated Swedish translation.

2007-12-31 22:13  ymarcheg

	* [r7842] trunk/help/oc/oc.po, trunk/po/ChangeLog, trunk/po/oc.po:
	  Updated Occitan translation

2007-12-31 14:44  dooteo

	* [r7841] trunk/po/ChangeLog, trunk/po/eu.po: 2007-12-31 Inaki
	  Larranaga Murgoitio <dooteo@euskalgnu.org> * eu.po: Updated
	  Basque translation.

2007-12-31 13:35  jmalonzo

	* [r7840] trunk/src/ephy-navigation-action.c: Fix typo when
	  building the back/forward history menu
	  http://bugzilla.gnome.org/show_bug.cgi?id=506563 modified:
	  src/ephy-navigation-action.c

2007-12-31 09:11  djihed

	* [r7839] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-12-30 22:18  dnylande

	* [r7838] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Swedish
	  translation updated

2007-12-30 00:36  xan

	* [r7837] trunk/embed/webkit/webkit-embed.c: Stub new history
	  interfaces in WebKit until the needed API lands on trunk.

2007-12-30 00:24  xan

	* [r7836] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-window.c,
	  trunk/src/epiphany.defs, trunk/src/epiphany.override: Port
	  ephy-window.c to the new API, remove old API. Closes bug #506005

2007-12-29 23:39  xan

	* [r7835] trunk/embed/ephy-history-item.c,
	  trunk/embed/ephy-history-item.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-embed.h,
	  trunk/embed/mozilla/mozilla-history-item.cpp,
	  trunk/embed/mozilla/mozilla-history-item.h,
	  trunk/src/ephy-navigation-action.c: Make MozillaHistoryItem
	  create url and title on demand. Adapt code to the API change.

2007-12-29 16:59  xan

	* [r7834] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-history-item.cpp,
	  trunk/embed/mozilla/mozilla-history-item.h,
	  trunk/src/ephy-navigation-action.c: Use the new interfaces for
	  backward/forward menus. Store nth data in the HistoryItem
	  itself. Try to use HISTORY_ITEM_DATA_KEY data from object in
	  navigation action before falling back to URL_DATA_KEY. Bug
	  #506005
	* [r7833] trunk/embed/Makefile.am,
	  trunk/embed/mozilla/Makefile.am,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-history-item.cpp,
	  trunk/embed/mozilla/mozilla-history-item.h: Mozilla
	  implementation of the embed history interfaces.

2007-12-29 16:58  xan

	* [r7832] trunk/embed/Makefile.am, trunk/embed/ephy-embed.c,
	  trunk/embed/ephy-embed.h, trunk/embed/ephy-history-item.c,
	  trunk/embed/ephy-history-item.h: Add new embed history
	  interfaces.

2007-12-27 23:04  reinouts

	* [r7831] trunk/po/ChangeLog, trunk/po/nl.po: 2007-12-28 Reinout
	  van Schouwen <reinouts@gnome.org> * nl.po: Updated Dutch
	  translation

2007-12-27 20:55  plaes

	* [r7830] trunk/po/ChangeLog, trunk/po/et.po: 2007-12-27 Priit
	  Laes <plaes at svn dot gnome dot org> * et.po: Translation
	  updated by Ivar Smolin

2007-12-26 19:07  xan

	* [r7829] trunk/embed/ephy-base-embed.c: If is_blank is TRUE then
	  set title to Blank page without checking whether title was NULL
	  or not. Fixes (again!) empty new tabs.

2007-12-26 19:00  diegoe

	* [r7828] trunk/lib/widgets/ephy-location-entry.c,
	  trunk/lib/widgets/ephy-location-entry.h,
	  trunk/src/ephy-location-action.c: Catch bookmarks and history in
	  EphyLocationActionPrivate, it's smarter. Fixes bug #505777.

2007-12-26 18:38  diegoe

	* [r7827] trunk/src/ephy-location-action.c: Have the completion
	  func also check the bookmark URLs for matches as it does with
	  history items. Fixes bug #505683.

2007-12-26 18:32  diegoe

	* [r7826] trunk/src/ephy-location-action.c: Avoid duplicated
	  history and bookmark entries for the same url in the completion
	  popup. Fixes bug #392979.

2007-12-26 18:29  diegoe

	* [r7825] trunk/embed/downloader-view.c: Make libnotify optional,
	  completes the previous commit by chpe.

2007-12-26 18:22  xan

	* [r7824] trunk/embed/ephy-base-embed.c: Whitespace fixes.

2007-12-26 18:03  chpe

	* [r7823] trunk/configure.ac: Make libnotify dep optional.

2007-12-26 06:48  diegoe

	* [r7822] trunk/src/ephy-window.c: Remove a trailing whitespace.

2007-12-25 23:38  diegoe

	* [r7821] trunk/lib/widgets/ephy-location-entry.c,
	  trunk/lib/widgets/ephy-location-entry.h,
	  trunk/src/ephy-location-action.c: Moves the completion_func from
	  lib/widgets/ephy-location-entry.c to src/ephy-location-action.c.
	  Adds a function to set the completion_func in
	  lib/widgets/ephy-location-entry.c|h. Part of bug #392979.

2007-12-25 22:54  jorgegonz

	* [r7820] trunk/help/ChangeLog, trunk/help/es/es.po: Updated
	  Spanish translation

2007-12-25 14:23  xan

	* [r7819] trunk/embed/webkit/webkit-embed.c: Implement "select
	  all" for WebKit backend. (#505569) Patch by Luca Bruno.

2007-12-24 23:48  cosimoc

	* [r7818] trunk/embed/ephy-history.c: Display a single host entry
	  in the History Window also when the same host is visited with
	  different protocols (http and https). Fix bug #313481.

2007-12-24 23:42  cosimoc

	* [r7817] trunk/embed/ephy-base-embed.c: Fix missing tab title on
	  empty page. Bug #503854.

2007-12-24 12:58  cosimoc

	* [r7816] trunk/help/C/epiphany.xml: Add instructions on how to
	  resize the text entry box of a smart bookmark on the toolbar.
	  Bug #415473.

2007-12-24 10:08  jorgegonz

	* [r7815] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-24 05:36  diegoe

	* [r7814] trunk/src/epiphany.defs: Quick fix for a warning
	  produced by my previous update to epiphany.defs,
	  ephy_embed_get_loading_title is actually const-char* not char*.

2007-12-24 01:43  diegoe

	* [r7813] trunk/src/epiphany.defs: Add extra methods to EphyEmbed
	  object: get_go_up_list get_security_level get_zoom
	  get_document_type get_load_percent get_load_status
	  get_navigation_flags get_typed_address get_address
	  get_status_message get_icon get_icon_address get_is_blank
	  get_loading_title get_encoding

2007-12-24 01:29  diegoe

	* [r7812] trunk/embed/downloader-view.c: Enable multiple selection
	  in download dialog, now you can cancel more than one download at
	  a time. Note that this has no effect over the Pause button, only
	  over Stop. Bug #327734.

2007-12-23 22:58  chpe

	* [r7811] trunk/embed/mozilla/Makefile.am: Xr 1.9 fixes. Bug
	  #503657.

2007-12-23 22:56  chpe

	* [r7810] trunk/embed/mozilla/EphyAboutModule.cpp: Xr 1.9 fixes.
	  Bug #503657.

2007-12-23 22:39  chpe

	* [r7809] trunk/embed/mozilla/EphyFind.cpp: Xr 1.9 fixes. Bug
	  #503657.

2007-12-23 22:38  chpe

	* [r7808] trunk/embed/mozilla/MozRegisterComponents.cpp: Xr 1.9
	  fixes. Bug #503657.

2007-12-23 22:35  chpe

	* [r7807] trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/MozDownload.cpp: Xr 1.9 fixes. Bug #503657.

2007-12-23 22:33  chpe

	* [r7806] trunk/embed/mozilla/EphyUtils.cpp: Xr 1.9 fixes. Bug
	  #503657.

2007-12-23 22:31  chpe

	* [r7805] trunk/embed/mozilla/EphyDirectoryProvider.cpp: Fixes for
	  xr 1.9. Bug #503657.

2007-12-23 22:02  chpe

	* [r7804] trunk/embed/mozilla/GeckoPrintService.cpp: Xr 1.9 fixes.
	  Bug #503657.

2007-12-23 22:00  chpe

	* [r7803] trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.h: Add ifdefs for xr 1.9. Part
	  of bug #503657.

2007-12-23 17:36  diegoe

	* [r7802] trunk/configure.ac, trunk/data/epiphany.schemas.in,
	  trunk/data/glade/epiphany.glade, trunk/embed/downloader-view.c,
	  trunk/lib/ephy-prefs.h: download-dialog hidden state is now
	  saved to gconf. New downloads started while the dialog is hidden
	  pop-up a notification (as in libnotify). We now require
	  libnotify to build. Fixes bug #311209.

2007-12-23 14:06  plaes

	* [r7801] trunk/po/ChangeLog, trunk/po/et.po: 2007-12-23 Priit
	  Laes <plaes at svn dot gnome dot org> * et.po: Translation
	  updated by Ivar Smolin

2007-12-23 13:40  djihed

	* [r7800] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-12-23 12:59  jorgegonz

	* [r7799] trunk/help/ChangeLog, trunk/help/es/es.po: Updated
	  Spanish translation

2007-12-23 12:39  jorgegonz

	* [r7798] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-22 18:26  xan

	* [r7797] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-embed.h: Also fix parent
	  instance/class for MozillaEmbed.

2007-12-22 02:14  xan

	* [r7796] trunk/embed/webkit/webkit-embed.h: Fix parent
	  class/instance types.
	* [r7795] trunk/embed/ephy-command-manager.c,
	  trunk/embed/webkit/webkit-embed.c: Implement clipboard
	  operations for WebKit.

2007-12-21 08:55  cosimoc

	* [r7793] trunk/data/glade/epiphany.glade,
	  trunk/help/C/epiphany.xml, trunk/src/pdm-dialog.c,
	  trunk/src/pdm-dialog.h, trunk/src/prefs-dialog.c: Adds a "Clear
	  All" dialog to clear all the privacy information, and a help
	  section explaining its usage. Close bug #148314.

2007-12-20 14:01  mateju

	* [r7792] trunk/po/sl.po: Updated Slovenian translation

2007-12-19 21:46  cosimoc

	* [r7791] trunk/src/bookmarks/ephy-bookmarks-editor.c,
	  trunk/src/ephy-history-window.c: Middle click on entries in
	  History Window and Bookmark Editor opens the page in a new tab.
	  Close bug #385037.

2007-12-19 13:52  kmaraas

	* [r7790] trunk/po/ChangeLog, trunk/po/nb.po: 2007-12-19 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2007-12-18 22:50  cosimoc

	* [r7789] trunk/src/window-commands.c: Hide the Toolbar Editor, if
	  active, when switching to Fullscreen mode. Bug #163762.

2007-12-18 21:48  reinouts

	* [r7788] trunk/po/ChangeLog, trunk/po/nl.po: 2007-12-18 Reinout
	  van Schouwen <reinouts@gnome.org> * nl.po: Updated Dutch
	  translation

2007-12-18 20:26  jorgegonz

	* [r7787] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-18 18:45  cosimoc

	* [r7786] trunk/data/ui/epiphany-ui.xml, trunk/src/ephy-window.c:
	  Readd "Add to Bookmark" entry to the document context menu. Bug
	  #332968.

2007-12-18 18:41  cosimoc

	* [r7785] trunk/src/bookmarks/ephy-bookmark-action.c: Indentation
	  fix for previous commit.

2007-12-18 18:38  cosimoc

	* [r7784] trunk/src/bookmarks/ephy-bookmark-action.c: Add
	  middle-click-paste for smart bookmarks, as it is for new
	  tab/window buttons. Close bug #378165.

2007-12-18 09:31  plaes

	* [r7783] trunk/po/ChangeLog, trunk/po/et.po: 2007-12-18 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-12-17 23:40  atoker

	* [r7782] trunk/embed/webkit/webkit-embed.c: Track WebKit upstream
	  API changes r28817, r28818 This makes current location and page
	  title updates work more consistently.

2007-12-17 22:58  xan

	* [r7781] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h: Constify char* parameter for
	  ephy_base_embed_location_changed.

2007-12-17 13:23  lferrett

	* [r7780] trunk/po/ChangeLog, trunk/po/it.po: 2007-12-17 Luca
	  Ferretti <elle.uca@libero.it> * it.po: "Backported" Italian
	  translation from gnome-2-20

2007-12-17 00:27  diegoe

	* [r7779] trunk/configure.ac: Enable our filechooser by default,
	  now the default builds will have nice image previews in the
	  filechooser. Read: nice previews when uploading pictures.

2007-12-16 13:28  chpe

	* [r7778] trunk/configure.ac: Post release version bump.
	* [r7776] trunk/configure.ac,
	  trunk/doc/reference/epiphany-sections.txt,
	  trunk/doc/reference/epiphany.types,
	  trunk/doc/reference/tmpl/EphySingle.sgml,
	  trunk/doc/reference/tmpl/ephy-embed.sgml,
	  trunk/doc/reference/tmpl/ephy-shell.sgml,
	  trunk/doc/reference/tmpl/ephy-window.sgml,
	  trunk/doc/reference/tmpl/epiphany-unused.sgml,
	  trunk/embed/xulrunner/Makefile.am: Release 2.21.4.

2007-12-16 12:55  chpe

	* [r7775] trunk/data/default-prefs-common.js: Add comment.
	* [r7774] trunk/src/ephy-tabs-menu.c: Don't store the tabs menu
	  accels in the accel map file.
	* [r7773] trunk/embed/mozilla/GeckoPrintService.cpp: Fix comment.

2007-12-16 01:11  reinouts

	* [r7772] trunk/NEWS: Update NEWS for 2.21.4

2007-12-15 23:32  xan

	* [r7771] trunk/NEWS: Update NEWS.

2007-12-15 11:17  kmaraas

	* [r7770] trunk/po/ChangeLog, trunk/po/nb.po: 2007-12-15 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2007-12-15 00:02  xan

	* [r7769] trunk/embed/webkit/webkit-embed-single.c,
	  trunk/embed/webkit/webkit-embed.c: Do not call webkit_init()
	  (it's going away soon) and only include <webkit.h>.

2007-12-14 00:03  leonardof

	* [r7768] trunk/po/ChangeLog, trunk/po/pt_BR.po: 2007-12-13
	  Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org> *
	  pt_BR.po: Translation of "status bar" fixed by Rodrigo Flores.

2007-12-10 15:23  mateju

	* [r7766] trunk/po/ChangeLog, trunk/po/sl.po: Updated Slovenian
	  translation

2007-12-09 23:02  xan

	* [r7765] trunk/embed/webkit/webkit-embed-persist.c: Small cleanup
	  in webkit-embed-persist.c

2007-12-09 22:05  xan

	* [r7764] trunk/embed/webkit/Makefile.am,
	  trunk/embed/webkit/webkit-embed-find.c,
	  trunk/embed/webkit/webkit-embed-find.cpp,
	  trunk/embed/webkit/webkit-embed-persist.c,
	  trunk/embed/webkit/webkit-embed-persist.cpp,
	  trunk/embed/webkit/webkit-embed-single.c,
	  trunk/embed/webkit/webkit-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed.c,
	  trunk/embed/webkit/webkit-embed.cpp: Rename cpp files to c in
	  the WebKit backend; they are pure C. Also fix a couple of
	  compiler warnings.

2007-12-09 18:56  jorgegonz

	* [r7763] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-08 01:21  cosimoc

	* [r7762] trunk/lib/widgets/ephy-node-view.c,
	  trunk/lib/widgets/ephy-node-view.h: Add "node-middle-clicked"
	  signal to EphyNodeView. Part of bug #385037.

2007-12-08 01:17  cosimoc

	* [r7761] trunk/src/pdm-dialog.c: Add secondary text in
	  confirmation dialogs for "Remove All" items in the PDM. Fix bug
	  #499074.

2007-12-07 21:46  diegoe

	* [r7760] trunk/lib/ephy-file-helpers.c: Remove a FIXME in
	  ephy_file_delete_directory. The function is already implemented.

2007-12-06 18:54  kmaraas

	* [r7759] trunk/po/ChangeLog, trunk/po/nb.po: 2007-12-06 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2007-12-06 13:15  jorgegonz

	* [r7758] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-06 08:53  nshmyrev

	* [r7757] trunk/po/ChangeLog, trunk/po/ru.po: 2007-12-06 Vasiliy
	  Faronov <qvvx@yandex.ru> * ru.po: Updated Russian translation.

2007-12-06 08:38  nshmyrev

	* [r7756] trunk/help/ChangeLog, trunk/help/ru/ru.po: 2007-12-06
	  Vasiliy Faronov <qvvx@yandex.ru> * ru/ru.po: Updated Russian
	  translation.

2007-12-05 22:25  leonardof

	* [r7755] trunk/po/ChangeLog, trunk/po/pt_BR.po: 2007-12-05
	  Leonardo Ferreira Fontenelle <leonardof@svn.gnome.org> *
	  pt_BR.po: Fixes in Brazilian Portugues translation. This version
	  was imported from trunk gnome-2-20.

2007-12-04 19:49  gforcada

	* [r7753] trunk/help/ChangeLog, trunk/help/ca/ca.po: Updated
	  Catalan translation

2007-12-03 09:26  plaes

	* [r7752] trunk/po/ChangeLog, trunk/po/et.po: 2007-12-03 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Priit
	  Laes.

2007-12-03 09:17  plaes

	* [r7751] trunk/po/ChangeLog, trunk/po/et.po: 2007-12-03 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-12-02 22:18  djihed

	* [r7750] trunk/po/ar.po: Updated Arabic Translation by Djihed
	  Afifi.

2007-12-02 22:14  djihed

	* [r7749] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-12-02 21:31  jmalonzo

	* [r7748] trunk/configure.ac: configure.ac: remove leading Xs in
	  conditionals (with 2 exceptions)
	  http://bugzilla.gnome.org/show_bug.cgi?id=501108 modified:
	  configure.ac

2007-12-02 20:19  jmalonzo

	* [r7747] trunk/configure.ac: Fix configure summary output for
	  both mozilla and webkit
	  http://bugzilla.gnome.org/show_bug.cgi?id=478196 modified:
	  configure.ac

2007-12-02 20:11  cosimoc

	* [r7746] trunk/data/epiphany.schemas.in: Update
	  epiphany.schemas.in according to the changes in bug #380156. Fix
	  bug #132808.

2007-12-02 15:41  cwryu

	* [r7745] trunk/po/ChangeLog, trunk/po/ko.po: Updated Korean
	  translation.

2007-12-01 19:19  jmalonzo

	* [r7744] trunk/src/epiphany.defs, trunk/src/epiphany.override:
	  Squashed commit of the following: commit
	  8ee24f8e307d08d90a7caedf570831c1cab9f708 Author: Jan Michael
	  Alonzo <jmalonzo@unpluggable.com> Date: Sun Dec 2 06:19:44 2007
	  +1100 wrap EphyEmbedContainer interface -
	  http://bugzilla.gnome.org/show_bug.cgi?id=500729

2007-12-01 13:16  jorgegonz

	* [r7743] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-12-01 12:49  iharh

	* [r7742] trunk/po/ChangeLog, trunk/po/be@latin.po: Updated
	  Belarusian Latin translation.

2007-12-01 10:59  icq

	* [r7741] trunk/po/ChangeLog, trunk/po/POTFILES.in,
	  trunk/po/gl.po: 2007-12-01 Ignacio Casal Quinteiro
	  <nacho.resa@gmail.com> * gl.po: Updated Galician Translation. *
	  POTFILES.in: Updated.

2007-12-01 04:50  atoker

	* [r7740] trunk/embed/webkit/webkit-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed.cpp: Match WebKit/GTK+ API
	  changes made in WebKit SVN r28273
	  http://bugs.webkit.org/show_bug.cgi?id=15691 [GTK] Public API
	  does not follow GTK+ conventions This change is part of the
	  current API stabilization effort.

2007-11-28 20:35  chpe

	* [r7739] trunk/embed/ephy-embed-container.h: Need to put the
	  parent struct first.

2007-11-26 19:37  xan

	* [r7732] trunk/embed/ephy-base-embed.c: Initialize the title
	  property to "Blank page" in EphyBaseEmbed. Bug #499803

2007-11-26 06:06  al_shopov

	* [r7731] trunk/po/ChangeLog, trunk/po/bg.po: 2007-11-26 Alexander
	  Shopov <ash@contact.bg> * bg.po: Updated Bulgarian translation
	  by Alexander Shopov <ash@contact.bg>

2007-11-25 13:47  cosimoc

	* [r7730] trunk/src/bookmarks/ephy-bookmark-action.c: Fix empty
	  line on bookmark tooltip when bookmark has no title. Close bug
	  #499226.

2007-11-25 11:21  plaes

	* [r7729] trunk/po/ChangeLog, trunk/po/et.po: 2007-11-25 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-11-24 19:26  kelemeng

	* [r7728] trunk/po/ChangeLog, trunk/po/hu.po: 2007-11-24 Gabor
	  Kelemen <kelemeng@gnome.hu> * hu.po: Translation updated

2007-11-23 18:24  jorgegonz

	* [r7727] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-22 23:44  reinouts

	* [r7726] trunk/po/nl.po: nl.po: U

2007-11-22 21:17  reinouts

	* [r7725] trunk/src/bookmarks/ephy-bookmark-action.c: * 2007-11-22
	  Reinout van Schouwen <reinouts@gnome.org> -
	  bookmarks/ephy-bookmark-action.c: unbreak the build. Use
	  g_strdup_printf.

2007-11-22 20:58  reinouts

	* [r7724] trunk/src/bookmarks/ephy-bookmark-action.c: * 2007-11-22
	  Reinout van Schouwen <reinouts@gnome.org> -
	  bookmarks/ephy-bookmark-action.c: reword tooltip. Followup to
	  http://bugzilla.gnome.org/show_bug.cgi?id=492695

2007-11-21 18:38  ymarcheg

	* [r7723] trunk/help/oc/oc.po, trunk/po/ChangeLog, trunk/po/oc.po:
	  Updated Occitan translation

2007-11-21 11:51  hendrikr

	* [r7721] trunk/po/de.po: 2007-11-21 Hendrik Richter
	  <hendrikr@gnome.org> * de.po: Updated German translation.

2007-11-20 21:27  ymarcheg

	* [r7720] trunk/help/oc/oc.po, trunk/po/oc.po: Updated Occitan
	  translation

2007-11-18 23:53  cosimoc

	* [r7719] trunk/lib/widgets/ephy-node-view.c,
	  trunk/lib/widgets/ephy-node-view.h,
	  trunk/src/bookmarks/ephy-bookmarks-editor.c,
	  trunk/src/ephy-history-window.c: Adds a
	  EPHY_NODE_VIEW_ELLIPSIZED flag and make history window and
	  bookmarks editor views use it to display address and title
	  columns. Fix bug #132808.

2007-11-18 23:51  cosimoc

	* [r7718] trunk/lib/widgets/ephy-node-view.c,
	  trunk/src/bookmarks/ephy-bookmarks-editor.c,
	  trunk/src/ephy-history-window.c: Fix a bug in EphyNodeView which
	  caused weird problems when setting columns as resizable; thanks
	  to Kristian Rietveld for finding out the cause. Make history
	  window columns resizable and bookmarks editor columns resizable
	  and sortable. Part of bug #132808.

2007-11-18 01:18  xan

	* [r7717] trunk/src/ephy-notebook.c: Move EphyNotebook to
	  G_DEFINE_TYPE.

2007-11-17 21:10  xan

	* [r7716] trunk/src/ephy-navigation-action.c: Use go_back and
	  go_forward methods for navigation. Instead of jumping to -1 and
	  +1 in the history. Less code, and it even works in WebKit :)

2007-11-17 20:53  xan

	* [r7715] trunk/embed/webkit/webkit-embed.cpp: Remove unused
	  variable in WebKitEmbed class_init.

2007-11-17 20:51  xan

	* [r7714] trunk/embed/ephy-embed.h: Fix vfunc for get_visibility
	  in EphyEmbed interface.

2007-11-17 20:42  xan

	* [r7713] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-window.c: Move size-to code to the gecko backend.
	  Last part of bug #490672

2007-11-17 17:11  xan

	* [r7712] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h, trunk/embed/ephy-embed.c,
	  trunk/embed/ephy-embed.h, trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-window.c: Put visibility property into
	  EphyBaseEmbed, we need it for popups.

2007-11-17 13:51  xan

	* [r7711] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Re-enable popup
	  management code in EphyBaseEmbed. Plus a small bugfix in
	  MozillaEmbed about GtkMozembed vs. EphyEmbed confusion.

2007-11-16 23:52  xan

	* [r7710] trunk/src/ephy-window.c: Rename EphyEmbedContainer
	  implementations in EphyWindow. Do not use the ephy_window prefix
	  for them, it's confusing. Also, save the function call for
	  get_active_child.

2007-11-16 23:32  xan

	* [r7709] trunk/embed/ephy-embed-container.c,
	  trunk/src/ephy-window.c, trunk/src/ephy-window.h,
	  trunk/src/epiphany.defs, trunk/src/ppview-toolbar.c,
	  trunk/src/window-commands.c: Move print-preview property to
	  EphyEmbedContainer interface. Also make it read-only and make
	  the setter in EphyWindow semi-private for now (should be removed
	  eventually, making the window be notified from the embed of the
	  status).

2007-11-16 19:40  chpe

	* [r7708] trunk/embed/ephy-embed-container.c,
	  trunk/embed/ephy-embed-container.h: Rename param to "set_active".

2007-11-16 19:16  xan

	* [r7707] trunk/embed/ephy-embed-container.c: Yes, tabs.

2007-11-16 19:14  xan

	* [r7706] trunk/embed/ephy-embed-container.c,
	  trunk/src/ephy-window.c: Add type checkings in the
	  EmbedContainer interface, not in the implementations.

2007-11-16 18:56  xan

	* [r7705] trunk/src/ephy-session.c: Do not change session saving
	  format ;)

2007-11-16 18:54  chpe

	* [r7704] trunk/src/ephy-window.c: Return the new tab's position.

2007-11-16 18:53  xan

	* [r7703] trunk/embed/ephy-embed-container.c,
	  trunk/src/ephy-encoding-dialog.c, trunk/src/ephy-session.c,
	  trunk/src/ephy-tabs-menu.c, trunk/src/ephy-window.c: Move
	  active-tab property to the embed-container interface. Rename it
	  to active-child and fix a bug in the set_property function in
	  EphyWindow, where the wrong function was being called for this
	  property.
	* [r7702] trunk/src/ephy-window.c: Unbreak the build...

2007-11-16 18:11  cosimoc

	* [r7701] trunk/src/ephy-history-window.c: Use right GtkPaned API
	  to pack history window vbox. Fix bug #422947.

2007-11-16 18:06  xan

	* [r7700] trunk/embed/ephy-embed-container.c,
	  trunk/embed/ephy-embed-container.h, trunk/src/ephy-window.c:
	  Make EphyEmbedContainer add_child method return the child's new
	  position inside the container.

2007-11-16 15:26  xan

	* [r7699] trunk/embed/ephy-embed-container.c,
	  trunk/embed/ephy-embed-container.h, trunk/src/ephy-tabs-menu.c,
	  trunk/src/ephy-window.c, trunk/src/epiphany.defs: Rename
	  ephy_embed_container_jump_to_child to
	  ephy_embed_container_set_active_child.

2007-11-16 15:09  chpe

	* [r7698] trunk/configure.ac: Bump API version

2007-11-16 15:05  xan

	* [r7697] trunk/src/epiphany.defs: Do not expose
	  {add,remove}_child methods from EphyEmbedContainer to bindings.

2007-11-16 15:03  xan

	* [r7696] trunk/embed/ephy-embed-container.h: Untabify
	  ephy-embed-container.h
	* [r7695] trunk/src/ephy-encoding-dialog.c,
	  trunk/src/ephy-encoding-menu.c,
	  trunk/src/ephy-extensions-manager.c,
	  trunk/src/ephy-location-action.c, trunk/src/ephy-lockdown.c,
	  trunk/src/ephy-navigation-action.c, trunk/src/ephy-session.c,
	  trunk/src/ephy-shell.c, trunk/src/ephy-tabs-menu.c,
	  trunk/src/ephy-toolbar.c, trunk/src/popup-commands.c,
	  trunk/src/ppview-toolbar.c, trunk/src/prefs-dialog.c,
	  trunk/src/window-commands.c: And port all the callers in src/
	* [r7694] trunk/src/epiphany.defs: Change epiphany.defs

2007-11-16 15:02  xan

	* [r7693] trunk/src/ephy-window.c, trunk/src/ephy-window.h: Port
	  EphyWindow to the new interface.
	* [r7692] trunk/embed/Makefile.am,
	  trunk/embed/ephy-embed-container.c,
	  trunk/embed/ephy-embed-container.h: Add EphyEmbedContainer.
	* [r7691] trunk/src/ephy-window.c: Use G_DEFINE_TYPE for
	  EphyWindow.

2007-11-15 16:20  chpe

	* [r7690] trunk/po/POTFILES.in: Remove EphyTab

2007-11-15 11:59  plaes

	* [r7689] trunk/po/ChangeLog, trunk/po/et.po: 2007-11-15 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-11-14 10:43  jmalonzo

	* [r7688] trunk/embed/ephy-history.h: embed/ephy-history.h: build
	  fix, missing comma

2007-11-13 23:15  xan

	* [r7687] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-history.c, trunk/embed/ephy-history.h,
	  trunk/src/bookmarks/ephy-bookmarks.c: Add icon-updated signal to
	  EphyHistory. Use it to update the bookmarks icon, as it was done
	  in EphyTab before.

2007-11-13 22:36  xan

	* [r7686] trunk/embed/ephy-base-embed.c: Uncomment icon update for
	  history in EphyBaseEmbed, it works just fine.

2007-11-12 22:32  jorgegonz

	* [r7685] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-12 22:06  xan

	* [r7684] trunk/src/Makefile.am, trunk/src/ephy-tab.c: Remove last
	  remainings of EphyTab.

2007-11-12 22:04  jmalonzo

	* [r7683] trunk/embed/webkit/webkit-embed.cpp: Fix: http being
	  appended to 'about' pages. (Bug #496136)

2007-11-12 21:55  iharh

	* [r7682] trunk/po/ChangeLog, trunk/po/be@latin.po: Updated
	  Belarusian Latin translation.

2007-11-12 21:36  xan

	* [r7680] trunk/src/ephy-session.c: Use load-status instead of
	  net-stop in EphySession. Also added a type check in
	  ephy_session_save for the session object.

2007-11-12 20:50  xan

	* [r7679] trunk/src/ephy-window.c: Don't connect to
	  destroy-browser, we do nothing in the cb and it's GtkMozEmbed
	  specific.

2007-11-12 20:41  xan

	* [r7678] trunk/embed/ephy-embed-single.c,
	  trunk/embed/webkit/webkit-embed-single.cpp: Fix backend name for
	  WebKit and update docs in ephy_embed_single_get_backend_name.

2007-11-12 19:43  jorgegonz

	* [r7677] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-12 19:20  plaes

	* [r7676] trunk/po/ChangeLog, trunk/po/et.po: 2007-11-12 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-11-12 15:05  mateju

	* [r7675] trunk/po/ChangeLog, trunk/po/sl.po: Updated Slovenian
	  translation

2007-11-12 12:37  jmalonzo

	* [r7674] trunk/embed/webkit/webkit-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed.cpp: Call webkit_init in engine
	  initialization to avoid crashes. (Bug #496114)

2007-11-12 00:45  reinouts

	* [r7673] trunk/embed/mozilla/EphyAboutModule.cpp: * 2007-11-12
	  Reinout van Schouwen <reinouts@gnome.org> -
	  mozilla/EphyAboutModule.cpp: move comment one line down so it
	  shows up in the .po files

2007-11-12 00:27  reinouts

	* [r7671] trunk/embed/mozilla/EphyAboutModule.cpp: * 2007-11-12
	  Reinout van Schouwen <reinouts@gnome.org> -
	  mozilla/EphyAboutModule.cpp: s/Epiphany/the web browser and add
	  translator comment to indicate that %s means LSB_DISTRIBUTOR

2007-11-12 00:26  cosimoc

	* [r7670] trunk/data/default-prefs-common.js: Sets page header and
	  footer margins to a reasonable value when printing. Workaround
	  for bug #346110. Patch by Dale Parquette.

2007-11-11 23:46  reinouts

	* [r7669] trunk/data/glade/prefs-dialog.glade: * 2007-11-12
	  Reinout van Schouwen <reinouts@gnome.org> -
	  glade/prefs-dialog.glade: add explanation label to "Only from
	  sites you visit" radio button. Fixes bug 493422.

2007-11-11 23:22  xan

	* [r7668] trunk/embed/ephy-base-embed.c,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/webkit/webkit-embed.cpp: Implement grab_focus in
	  EphyBaseEmbed. We still need a custom implementation in
	  MozillaEmbed because the child of the embed won't exist until
	  the widget is realized, so there is no point in grabbing focus
	  until then.

2007-11-11 23:19  xan

	* [r7667] trunk/embed/ephy-embed.h: We don't inherit nothing from
	  GtkMozEmbed anymore.

2007-11-11 23:18  xan

	* [r7666] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Remove unused
	  ge_content_changed.
	* [r7665] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/webkit/webkit-embed.cpp: Remove unused ge_net_state
	  and ge_security_change.
	* [r7664] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Remove unused ge-location
	  signal.

2007-11-11 22:37  cyrilbois

	* [r7663] trunk/lib/egg/egg-editable-toolbar.c,
	  trunk/src/ephy-lockdown.c: Hide Back/Forward buttons when
	  disable_history lockdown key is enabled. Make the call to
	  gtk_widget_show() in editable toolbar's
	  create_item_from_action() conditional. Fixes bug #394795.

2007-11-11 19:09  dnylande

	* [r7662] trunk/po/sv.po: sv.po: Updated Swedish translation

2007-11-11 12:55  jorgegonz

	* [r7661] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-11 10:43  dnylande

	* [r7660] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Updated
	  Swedish translation

2007-11-10 22:06  cyrilbois

	* [r7659] trunk/configure.ac,
	  trunk/src/bookmarks/ephy-bookmark-properties.c,
	  trunk/src/bookmarks/ephy-topic-action.c,
	  trunk/src/ephy-find-toolbar.c: Add GTK_DISABLE_DEPRECATED back
	  in DEPRECATION_FLAGS. Move the last calls to
	  gtk_entry_set_editable, gtk_menu_item_remove_submenu, and
	  gtk_tool_item_set_tooltip to the appropriate replacements in Gtk
	  2.12.

2007-11-10 19:04  xan

	* [r7658] trunk/embed/webkit/webkit-embed.cpp: Oops, readd missing
	  variable.
	* [r7657] trunk/embed/webkit/webkit-embed.cpp: Don't use
	  mozilla-like variable names for parameters.

2007-11-10 18:47  xan

	* [r7656] trunk/embed/webkit/webkit-embed.cpp: Implement close for
	  WebKitEmbed (simply destroys the widget).

2007-11-10 16:03  plaes

	* [r7655] trunk/po/ChangeLog, trunk/po/et.po: 2007-11-10 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-11-10 15:17  xan

	* [r7654] trunk/embed/mozilla/mozilla-embed.cpp:
	  ge-search-key-press is in EphyEmbed, not GtkMozEmbed.

2007-11-09 23:46  cyrilbois

	* [r7653] trunk/src/ephy-find-toolbar.c: Add a checkbox to enable
	  case-sensitive search (disabled by default). No longer rely on
	  the presence of uppercase characters to activate case-sensitive
	  search.

2007-11-08 23:57  cyrilbois

	* [r7652] trunk/data/glade/epiphany.glade, trunk/src/pdm-dialog.c:
	  Add a "Remove all" button to the Personal Data Manager for both
	  the cookies and the passwords. A confirmation dialogue is used.
	  Addresses bug #148314.

2007-11-08 14:21  jorgegonz

	* [r7651] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-08 03:23  cyrilbois

	* [r7650] trunk/embed/mozilla/EphyAboutModule.cpp: Add a space to
	  the reload page alert

2007-11-08 00:09  cyrilbois

	* [r7649] trunk/Makefile.am: Trigger the ChangeLog generation
	  during "make dist".

2007-11-07 22:53  cyrilbois

	* [r7648] trunk/src/Makefile.am: Ship epiphany.{defs,override}
	  regardless of whether python is enabled. Fixes bug #310811

2007-11-07 19:39  cosimoc

	* [r7647] trunk/embed/mozilla/EphyFind.cpp: Fix invalid cast and
	  make the find toolbar work again after EphyBaseEmbed transition.

2007-11-07 08:46  jorgegonz

	* [r7645] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-06 21:20  cosimoc

	* [r7644] trunk/src/ephy-session.c: Adds a NULL check to avoid
	  passing illegal values to strtol in ephy-session. Patch by Ed
	  Catmur. Fix bug #493148.

2007-11-06 20:19  cyrilbois

	* [r7643] trunk/configure.ac,
	  trunk/embed/mozilla/EphyAboutModule.cpp: Enable a
	  --with-distributor-name configure option, defaulting to
	  Epiphany. Use it on an error page to designate the
	  distributors/developers to contact. Fixes bug #433796.

2007-11-06 20:15  cosimoc

	* [r7642] trunk/src/pdm-dialog.c: Make the password dialog use
	  ephy-time-helpers instead of stock strftime. Fix bug #494158.

2007-11-06 19:56  cosimoc

	* [r7641] trunk/data/ui/epiphany-history-window-ui.xml,
	  trunk/lib/Makefile.am, trunk/lib/ephy-time-helpers.c,
	  trunk/lib/ephy-time-helpers.h, trunk/src/ephy-history-window.c:
	  Adds a column in the history window showing the date and the
	  time of the visit, substitutes radiobuttons with checkboxes in
	  the View menu of the window. Also, adds lib/ephy-time-helpers
	  that contains a strftime() implementation. Fix bug #380156.

2007-11-06 18:48  iharh

	* [r7640] trunk/po/be@latin.po: Fixed a bug in be@latin
	  translation.

2007-11-06 18:41  cosimoc

	* [r7638] trunk/embed/webkit/webkit-embed.cpp: Connect to
	  "hovering-over-link" signal in WebKit to set link_message.

2007-11-06 18:30  iharh

	* [r7637] trunk/po/ChangeLog, trunk/po/LINGUAS,
	  trunk/po/be@latin.po: Added Belarusian Latin translation by Aleś
	  Navicki.

2007-11-05 23:01  xan

	* [r7636] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/webkit/webkit-embed.cpp: Make
	  ephy_base_embed_set_{title,address} dup their parameters
	  internally.

2007-11-05 20:26  xan

	* [r7635] trunk/embed/webkit/webkit-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed-single.h,
	  trunk/embed/webkit/webkit-embed.cpp,
	  trunk/embed/webkit/webkit-embed.h: Fix webkit backend build, and
	  modify indentation to match new style.

2007-11-05 20:11  xan

	* [r7634] trunk/HACKING: Modify HACKING file to reflect changes in
	  default indent style.
	* [r7633] trunk/data/kr-gnome-indent.cfg: Add uncrustify
	  kr-gnome-indent.cfg file. File used to convert source files with
	  uncrustify to new indentation style.

2007-11-05 19:55  xan

	* [r7632] trunk/embed/ephy-base-embed.c: Use
	  ephy_embed_utils_address_has_web_scheme instead of our own copy.
	* [r7631] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h: Use K&R (pseudo) indentation
	  style for new files.
	* [r7630] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h,
	  trunk/embed/webkit/webkit-embed.cpp: Update the WebKit backend
	  to use EphyBaseEmbed. The way both backends track progress seem
	  to be very different, so I've exported the set_load_percent to
	  get this going for now.
	* [r7629] trunk/embed/mozilla/mozilla-embed.cpp: Put size_allocate
	  hack in MozillaEmbed now.

2007-11-05 19:54  xan

	* [r7628] trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Move all common
	  functionality from MozillaEmbed to EphyBaseEmbed.
	* [r7627] trunk/embed/ephy-base-embed.c, trunk/embed/ephy-embed.c:
	  Put the properties in EphyBaseEmbed rather than in the
	  interface. Backends still override them completely at this point.
	* [r7626] trunk/embed/Makefile.am, trunk/embed/ephy-base-embed.c,
	  trunk/embed/ephy-base-embed.h,
	  trunk/embed/mozilla/EphyBrowser.cpp,
	  trunk/embed/mozilla/EphyBrowser.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Create EphyBaseEmbed,
	  make MozillaEmbed a subclass of it. EphyBaseEmbed is an abstract
	  class that will implement the generic bits common to any
	  Epiphany backend. In this first commit it does nothing but serve
	  as the parent class for the mozilla embedding widget.

2007-11-05 18:40  cyrilbois

	* [r7625] trunk/m4/python.m4: Get rid of the AM_CHECK_PYMOD
	  underquoted definition warning

2007-11-05 10:42  jmas

	* [r7624] trunk/help/ca/ca.po: Fixes to Catalan translation

2007-11-04 23:35  cosimoc

	* [r7623] trunk/embed/ephy-password-manager.c,
	  trunk/embed/ephy-password-manager.h,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/webkit/webkit-embed-single.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp: Add
	  remove_all_passwords method to EphyPasswordManager and implement
	  it in Mozilla and XulRunner backends. Bug #476411.

2007-11-04 23:00  cosimoc

	* [r7622] trunk/embed/ephy-embed-utils.c,
	  trunk/embed/ephy-embed-utils.h, trunk/src/ephy-window.c: Move
	  "address_has_web_scheme" to ephy-embed-utils.

2007-11-04 22:48  cosimoc

	* [r7621] trunk/src/ephy-tab.c, trunk/src/ephy-window.c: Moved
	  dom_mouse_click from EphyTab to EphyWindow. This also makes
	  Modifiers+Click shortcuts work again.

2007-11-04 11:21  plaes

	* [r7620] trunk/po/ChangeLog, trunk/po/et.po: 2007-11-04 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Priit
	  Laes.

2007-11-03 22:20  friemann

	* [r7619] trunk/lib/egg/egg-toolbar-editor.c,
	  trunk/lib/egg/egg-toolbar-editor.h: Update to latest
	  EggToolbarEditor code. This supports changing the editor's model
	  during runtime and tries to avoid some possibly leaking signal
	  handlers. Fixes bug #493149.

2007-11-03 12:46  jorgegonz

	* [r7618] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-11-03 11:34  icq

	* [r7617] trunk/po/ChangeLog, trunk/po/gl.po: Updated Galician
	  Translation.

2007-11-03 01:23  cosimoc

	* [r7616] trunk/src/bookmarks/ephy-bookmark-action.c: Display
	  "Javascript scriptlet" string as tooltip for bookmark action
	  instead of the whole javascript code when bookmarking a
	  scriptlet. Fix bug #492695.

2007-11-01 23:46  cosimoc

	* [r7615] trunk/data/epiphany.pc.in: Store the engine in the .pc
	  file. Bug #463956, patch by Cyril Brulebois.

2007-11-01 00:24  xan

	* [r7614] trunk/embed/webkit/webkit-embed.cpp: Remove trailing
	  whitespace, patch by Cyril Brulebois.

2007-10-29 15:44  chpe

	* [r7613] trunk/po/POTFILES.in, trunk/po/POTFILES.skip: These
	  files shouldn't be in POTFILES.in yet

2007-10-29 14:55  kmaraas

	* [r7612] trunk/po/ChangeLog, trunk/po/POTFILES.in,
	  trunk/po/nb.po: 2007-10-29 Kjartan Maraas <kmaraas@gnome.org> *
	  POTFILES.in: Add a whole bunch of new files. * nb.po: Updated
	  Norwegian bokmål translation.

2007-10-28 22:17  xan

	* [r7611] trunk/embed/webkit/webkit-embed.cpp: Update title
	  property on title-changed signal from webkit.
	* [r7610] trunk/embed/webkit/webkit-embed.cpp: Add dummy popup
	  management properties to the webkit backend. Also, untabify.

2007-10-28 14:30  chpe

	* [r7609] trunk/src/ephy-window.c: Use -1 as tab size here

2007-10-28 14:18  chpe

	* [r7608] trunk/src/ephy-notebook.c: Can't use an interface type
	  in signal registration

2007-10-28 14:17  chpe

	* [r7607] trunk/src/ephy-window.c: Can't use an interface type in
	  property registration

2007-10-28 14:16  chpe

	* [r7606] trunk/src/ephy-link.c: Can't use an interface type in
	  signal registration

2007-10-28 14:13  chpe

	* [r7605] trunk/src/epiphany.defs, trunk/src/epiphany.override:
	  Remove EphyTab

2007-10-28 14:11  chpe

	* [r7604] trunk/src/ephy-python-extension.c: Remove EphyTab

2007-10-28 14:10  chpe

	* [r7603] trunk/src/window-commands.c: Remove EphyTab

2007-10-28 14:07  chpe

	* [r7602] trunk/src/ppview-toolbar.c: Remove EphyTab

2007-10-28 14:06  chpe

	* [r7601] trunk/src/prefs-dialog.c: Remove EphyTab
	* [r7600] trunk/src/popup-commands.c: Remove EphyTab

2007-10-28 14:04  chpe

	* [r7599] trunk/src/ephy-session.c: Remove EphyTab

2007-10-28 14:02  chpe

	* [r7598] trunk/src/ephy-navigation-action.c: Remove EPhyTab.

2007-10-28 13:59  chpe

	* [r7597] trunk/src/ephy-lockdown.c: Remove EphyTab.

2007-10-28 13:58  chpe

	* [r7596] trunk/src/ephy-location-action.c: Remove EphyTab.

2007-10-28 13:57  chpe

	* [r7595] trunk/src/ephy-encoding-menu.c: Remove EphyTab.

2007-10-28 13:56  chpe

	* [r7594] trunk/src/ephy-encoding-dialog.c, trunk/src/ephy-tab.c:
	  Remove EphyTab.

2007-10-28 13:54  chpe

	* [r7593] trunk/src/bookmarks/ephy-open-tabs-action.c: Remove
	  Ephytab.

2007-10-28 13:53  chpe

	* [r7592] trunk/src/bookmarks/ephy-related-action.c: Remove
	  EphyTab.

2007-10-28 13:52  chpe

	* [r7591] trunk/src/bookmarks/ephy-bookmarks-editor.c: Remove
	  EPhyTab.

2007-10-28 13:49  chpe

	* [r7590] trunk/src/ephy-window.c: Remove EphyTab.

2007-10-28 13:48  chpe

	* [r7589] trunk/src/Makefile.am: Remove EphyTab.

2007-10-28 13:26  chpe

	* [r7588] trunk/src/ephy-toolbar.c: Remove EphyTab.

2007-10-28 13:25  chpe

	* [r7587] trunk/src/ephy-notebook.c, trunk/src/ephy-notebook.h:
	  Remove EphyTab.

2007-10-28 13:24  chpe

	* [r7586] trunk/src/ephy-link.c, trunk/src/ephy-link.h: Remove
	  EphYTab.

2007-10-28 13:16  chpe

	* [r7585] trunk/src/ephy-tabs-menu.c: Remove EphyTab.

2007-10-28 13:10  chpe

	* [r7584] trunk/src/ephy-window.h: Renamed
	  ephy_tab_get_active_embed to _tab.

2007-10-28 13:08  chpe

	* [r7583] trunk/src/ephy-extensions-manager.c: Remove EphyTab.

2007-10-28 13:04  chpe

	* [r7582] trunk/src/ephy-window.h: Remove EphyTab.

2007-10-28 13:03  chpe

	* [r7581] trunk/src/ephy-extension.c, trunk/src/ephy-extension.h:
	  Remove EphyTab.

2007-10-28 13:02  chpe

	* [r7580] trunk/src/ephy-shell.c, trunk/src/ephy-shell.h: Remove
	  EphyTab use.
	* [r7579] trunk/src/ephy-tab.h: Remove ephy-tab.h. This breaks the
	  build; we'll fix it step by step.

2007-10-28 12:08  chpe

	* [r7578] trunk/src/ephy-tab.c, trunk/src/ephy-tab.h,
	  trunk/src/ephy-tabs-menu.c: Move tab ID from EphyTab to
	  EphyTabsMenu which is the only user of it.

2007-10-27 18:43  chpe

	* [r7577] trunk/src/ephy-tabs-menu.c, trunk/src/ephy-tabs-menu.h:
	  Use G_DEFINE_TYPE.
	* [r7576] trunk/embed/mozilla/mozilla-embed.cpp: Fix the build
	  with --enable-debug.

2007-10-27 15:40  xan

	* [r7575] trunk/embed/ephy-embed.c,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c,
	  trunk/src/ephy-window.c: Move popups-allowed and
	  hidden-popup-count from EphyTab to EphyEmbed. Popup management
	  is non-working now, see bug #490672

2007-10-27 15:24  kmaraas

	* [r7574] trunk/po/ChangeLog, trunk/po/nb.po: 2007-10-27 Kjartan
	  Maraas <kmaraas@gnome.org> * nb.po: Updated Norwegian bokmål
	  translation.

2007-10-26 18:58  xan

	* [r7573] trunk/embed/webkit/webkit-embed.cpp: Add placeholders
	  for all the new properties in embed. The backend now compiles
	  and runs.

2007-10-26 18:55  xan

	* [r7572] trunk/embed/webkit/webkit-embed.cpp: Remove non-existing
	  functions in the embed interface from the _init function.

2007-10-26 18:54  xan

	* [r7571] trunk/embed/webkit/webkit-embed.cpp: get_link_message
	  returns const char * now.

2007-10-25 22:55  xan

	* [r7570] trunk/embed/webkit/webkit-embed.cpp: get_title returns
	  const char * now.

2007-10-25 20:02  xan

	* [r7569] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp: Tabify modified files.

2007-10-25 20:01  xan

	* [r7568] trunk/configure.ac: Bump configure.ac version to 2.21.1
	* [r7567] trunk/embed/ephy-embed-utils.c: Add config.h in
	  ephy-embed-utils.c
	* [r7566] trunk/embed/ephy-embed-utils.c,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-window.c:
	  Fix more issues left with the refactoring. Fix double free in
	  link_message property. Fix title by connecting to embed and not
	  to tab in EphyWindow. Fix progress by passing the correct
	  parameter to update_embed_from_net_state. Also use the
	  link_message parsing function in utils.
	* [r7565] trunk/embed/ephy-embed.c,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-window.c:
	  Fix the remaining breakage. Implement get_icon and
	  get_icon_address. Fix status-message canonical name. Properly
	  assign private pointer in MozillaEmbed (...)
	* [r7564] trunk/src/ephy-location-action.c,
	  trunk/src/ephy-notebook.c, trunk/src/ephy-session.c,
	  trunk/src/ephy-tab.h, trunk/src/ephy-tabs-menu.c,
	  trunk/src/ephy-window.c, trunk/src/epiphany.defs,
	  trunk/src/prefs-dialog.c, trunk/src/window-commands.c: Port src/
	  to the new properties in EphyEmbed.
	* [r7563] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-tab.c: Move file_monitor_cancel on dispose from
	  EphyTab to EphyEmbed.
	* [r7562] trunk/embed/Makefile.am, trunk/embed/ephy-embed-utils.c,
	  trunk/embed/ephy-embed-utils.h, trunk/embed/ephy-embed.c,
	  trunk/embed/ephy-embed.h, trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-tab.c: Move title/address update on open-uri
	  signal to EphyEmbed. Also refactor some common code in
	  ephy-embed-utils.c

2007-10-25 20:00  xan

	* [r7561] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c:
	  Move icon and icon-address to EphyEmbed. There's a snippet that
	  needs to be moved elsewhere I think: eb =
	  ephy_shell_get_bookmarks (ephy_shell); ephy_bookmarks_set_icon
	  (eb, priv->address, priv->icon_address); It's done in
	  mozilla_embed_set_icon_address.
	* [r7560] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c:
	  Move status-message and logic of link-message to EphyEmbed.
	  Create a property for link-message in EphyEmbed too.
	* [r7559] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-location-action.c, trunk/src/ephy-notebook.c,
	  trunk/src/ephy-session.c, trunk/src/ephy-tab.h,
	  trunk/src/ephy-tabs-menu.c, trunk/src/ephy-window.c,
	  trunk/src/epiphany.defs, trunk/src/window-commands.c: Change
	  ephy_embed_get_title to return const char*. Also replace all
	  ephy_tab_get_title by ephy_embed_get_title.
	* [r7558] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c:
	  Move title from EphyTab to EphyEmbed. EphyTab still borken.

2007-10-25 19:59  xan

	* [r7557] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-lockdown.c, trunk/src/ephy-shell.c,
	  trunk/src/ephy-tab.c, trunk/src/ephy-tab.h,
	  trunk/src/ephy-toolbar.c, trunk/src/epiphany.defs: Move address
	  and typed-address from EphyTab to EphyEmbed ephy-tab.c is
	  totally broken now, will fix in next patches.

2007-10-25 15:27  plaes

	* [r7556] trunk/po/ChangeLog, trunk/po/et.po: 2007-10-25 Priit
	  Laes <plaes@svn.gnome.org> * et.po: Translation updated by Ivar
	  Smolin.

2007-10-24 20:20  djihed

	* [r7555] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-10-23 23:33  cosimoc

	* [r7553] trunk/src/ephy-session.c: Adds a check for NULL pointer
	  in ephy-session.c, fixing wrong behaviour when restoring
	  Epiphany in some cases. Fix for bug #488718, patch by Leonardo
	  Boshell.

2007-10-23 20:51  djihed

	* [r7552] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-10-22 17:46  cosimoc

	* [r7551] trunk/embed/webkit/webkit-embed.cpp: Update WebKit
	  backend to EphyEmbed and EphyTab changes, and implements load
	  progress for WebKit.

2007-10-22 14:07  mateju

	* [r7550] trunk/po/ChangeLog, trunk/po/sl.po: Updated Slovenian
	  translation

2007-10-21 22:23  xan

	* [r7549] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c,
	  trunk/src/ephy-tab.h, trunk/src/ephy-window.c,
	  trunk/src/epiphany.defs: Move navigation property from EphyTab
	  to EphyEmbed.

2007-10-21 19:22  xan

	* [r7547] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-notebook.c, trunk/src/ephy-session.c,
	  trunk/src/ephy-tab.c, trunk/src/ephy-window.c,
	  trunk/src/epiphany.defs: Move load-status from EphyTab to
	  EphyEmbed.

2007-10-21 18:09  xan

	* [r7545] trunk/embed/mozilla/mozilla-embed.cpp: Use correct
	  property enum.
	* [r7544] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c,
	  trunk/src/ephy-window.c, trunk/src/epiphany.defs: Move
	  load-progress from EphyTab to EphyEmbed

2007-10-21 16:42  djihed

	* [r7543] trunk/po/ChangeLog: Updated Arabic Translation by Djihed
	  Afifi.

2007-10-21 15:43  xan

	* [r7542] trunk/embed/ephy-embed.c,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c,
	  trunk/src/ephy-window.c, trunk/src/epiphany.defs: Move zoom from
	  EphyTab to EphyEmbed.
	* [r7541] trunk/embed/ephy-embed.c, trunk/embed/ephy-embed.h,
	  trunk/embed/mozilla/mozilla-embed.cpp, trunk/src/ephy-tab.c,
	  trunk/src/ephy-tab.h, trunk/src/ephy-window.c,
	  trunk/src/epiphany.defs: Move document-type property from
	  EphyTab to EphyEmbed.
	* [r7540] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-window.c: Tabify mozilla-embed.cpp and make it
	  use G_DEFINE_*. Also, remove one extra ephy_tab_get_embed from
	  EphyWindow.
	* [r7539] trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/src/ephy-window.c: Add security-level property to embed
	  and fix EphyWindow.
	* [r7538] trunk/embed/ephy-embed.c, trunk/src/ephy-tab.c,
	  trunk/src/epiphany.defs: Remove security data from EphyTab.

2007-10-20 15:39  xan

	* [r7537] trunk/src/ephy-tab.c, trunk/src/ephy-tab.h,
	  trunk/src/ephy-window.c, trunk/src/epiphany.defs: Completely
	  remove usage of visibility signal from src/

2007-10-18 19:15  cosimoc

	* [r7535] trunk/src/ephy-net-monitor.c: Updates to new
	  NetworkManager API signals for status monitoring. Patch by
	  Matthias Clasen, fix for bug #486881.

2007-10-16 11:53  jorgegonz

	* [r7534] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-10-15 23:04  yairhr

	* [r7533] trunk/po/ChangeLog, trunk/po/he.po: updated hebrew
	  translation

2007-10-15 19:32  claudep

	* [r7530] trunk/po/ChangeLog, trunk/po/fr.po: 2007-10-15 Claude
	  Paroz <claude@2xlibre.net> * fr.po: Accelerator correction.
	  Fixes bug #484780.

2007-10-11 10:45  chpe

	* [r7527] trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/components/GeckoPrintService.cpp: Take the
	  page orientation from the page setup, not from the print
	  settings. Bug #485670 (see also gtk+ bug #485685).

2007-10-08 18:36  chpe

	* [r7526] trunk/m4/libxul.m4: Also check for libxul-1.9.pc, which
	  exists in ubuntu's xulrunner-1.9-dev.
	* [r7525] trunk/embed/xulrunner/src/EmbedContentListener.cpp: Make
	  sure PRBool only contains PR_FALSE or PR_TRUE. Bug moz#398599.

2007-10-08 18:35  chpe

	* [r7524] trunk/Makefile.am, trunk/configure.ac, trunk/xulapp,
	  trunk/xulapp/Makefile.am, trunk/xulapp/application.ini.in: Add
	  application.ini file.
	* [r7523] trunk/embed/xulrunner/utils/ggeAutoModalDialog.cpp,
	  trunk/embed/xulrunner/utils/ggeAutoModalDialog.h: Fix code style.

2007-10-07 14:19  diegoe

	* [r7521] trunk/src/window-commands.c: * window-commands.c: Makes
	  the Go button behaviour consistent with the "Enter" behaviour.
	  Both actions search for keywords or load the url. Fixes #484178.

2007-10-07 14:06  xan

	* [r7520] trunk/HACKING: Update HACKING file with new indentation
	  style.

2007-10-07 10:28  friemann

	* [r7519] trunk/lib/egg/eggmarshalers.list: Remove unneeded
	  marshallers. Fixes bug #484060.

2007-10-06 19:46  xan

	* [r7518] trunk/embed/webkit/webkit-embed.cpp: Do not bother
	  emitting signal we don't have.

2007-10-06 19:21  xan

	* [r7517] trunk/embed/webkit/webkit-embed.cpp: Implement several
	  missing methods. Based on the patch by Cosimo Cecchi. This adds
	  the stubs for proper net status notification, implements
	  get_title, get_location and workarounds the bug in webkit that
	  will make pages not load images if the protocol is not specified
	  in the url (it will only work for http though). Fixes bug #461652

2007-10-05 08:34  cosimoc

	* [r7516] trunk/src/ephy-window.c: Remove ellipses from View ->
	  Page Security Information, as it does not require further user
	  interaction to complete. Fix for bug #483312. One-liner by
	  Michael Monreal.

2007-10-04 14:39  cosimoc

	* [r7515] trunk/src/ephy-history-window.c: Fixes wrong use of
	  EphySearchEntry in the history window. Bug #483150. Initial
	  patch by Diego Escalante Urrelo.

2007-10-03 17:44  atoker

	* [r7514] trunk/embed/webkit/webkit-embed.cpp: Match the
	  WebKit/Gtk+ API changes made in WebKit SVN r26022

2007-10-03 16:54  ymarcheg

	* [r7513] trunk/po/oc.po: Updated Occitan translation

2007-10-02 20:42  reinouts

	* [r7512] trunk/po/ChangeLog, trunk/po/nl.po: 2007-10-02 Reinout
	  van Schouwen <reinouts@gnome.org> * nl.po: Updated Dutch
	  translation

2007-10-02 12:45  cosimoc

	* [r7511] trunk/src/ephy-navigation-action.c: Make "Up" button
	  dropdown menu show titles instead of URLs for already visited
	  pages. Fix for bug #323764.

2007-09-30 21:50  cosimoc

	* [r7510] trunk/src/window-commands.c: Change the "Powered by"
	  name in the About dialog according to the used backend. Patch by
	  Nicholas E. Manley. Fix for bug #478196.

2007-09-30 13:18  diegoe

	* [r7509] trunk/lib/widgets/ephy-location-entry.c: Changes
	  g_value_set_string to g_value_take_string to avoid a leak. Also
	  add the g_value_unset calls for text and visible vars on
	  extracell_data_func.

2007-09-30 12:58  diegoe

	* [r7508] trunk/lib/widgets/ephy-location-entry.c,
	  trunk/src/ephy-completion-model.c: Make the location entry
	  completion cells smarter, now bookmarks take the full width of
	  the popup. Also make the extracell (titles of history entries)
	  align to the left so it's less messy and easier to browse a lot
	  of entries with similar titles. Almost-fixes bug #419475.

2007-09-30 11:51  xan

	* [r7507] trunk/src/ephy-tab.c: Implement size_request for
	  EphyTab. Fixes bug #476120

2007-09-28 21:45  diegoe

	* [r7506] trunk/lib/ephy-file-helpers.c, trunk/src/ephy-main.c:
	  Implement ephy_file_delete_directory in lib/ephy-file-helpers.c
	  so private instances of Epiphany remove the profile dir on exit.
	  Note that the profile dir won't be deleted if it's a custom
	  path. Fixes bug #329680.

2007-09-28 15:17  chpe

	* [r7505] trunk/embed/xulrunner/utils/Makefile.am,
	  trunk/embed/xulrunner/utils/ggeAutoModalDialog.cpp,
	  trunk/embed/xulrunner/utils/ggeAutoModalDialog.h: Make it build.
	* [r7504] trunk/embed/xulrunner/utils/ggeAutoModalDialog.cpp,
	  trunk/embed/xulrunner/utils/ggeAutoModalDialog.h: A new class
	  designed to handle everything we need to run a modal dialogue.
	* [r7503] trunk/embed/xulrunner/utils/Makefile.am,
	  trunk/embed/xulrunner/utils/ggeAutoSurvivalArea.cpp,
	  trunk/embed/xulrunner/utils/ggeAutoSurvivalArea.h: Add app
	  lifecycle helper class.

2007-09-28 04:59  diegoe

	* [r7502] trunk/lib/ephy-file-chooser.c: *
	  lib/ephy-file-chooser.c: Add a preview for the FileChooser. The
	  default size is 150x150. Fixes bug #440859.

2007-09-27 17:15  cosimoc

	* [r7500] trunk/src/ephy-find-toolbar.c: Use g_idle to call
	  embed_find_find_again, to give the time to the embed to sync
	  with the size change due to toolbar being shown. Fixes bug
	  #415074 and part of bug #333661.

2007-09-27 12:42  jmouette

	* [r7498] trunk/embed/mozilla/EphyContentPolicy.cpp:
	  EphyContentPolicy::ShouldLoad: use the same content policy for
	  http and https, allowing adblock to work on https. Patch
	  reviewed by Christian Persch, fixes bug#471583.

2007-09-27 10:22  jorgegonz

	* [r7497] trunk/po/ChangeLog, trunk/po/es.po: Updated Spanish
	  translation

2007-09-26 23:55  diegoe

	* [r7496] trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/xulrunner/components/FilePicker.cpp: *
	  embed/xulrunner/components/FilePicker.cpp: *
	  embed/mozilla/FilePicker.cpp: Fix the build of the custom GTK+
	  filepicker so we can add nice previews and other stuff.

2007-09-25 22:59  cosimoc

	* [r7494] trunk/lib/ephy-file-chooser.c: Make Epiphany properly
	  remember the last saved location in the FileChooser. Fix for bug
	  #336251.

2007-09-25 16:45  frolix68

	* [r7493] trunk/po/ChangeLog, trunk/po/el.po: Updated Greek
	  tranlation

2007-09-25 15:14  chpe

	* [r7490] trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/xulrunner/components/GeckoCookiePromptService.cpp:
	  Fix the icon name to use EPHY_STOCK_EPHY

2007-09-25 14:43  chpe

	* [r7488] trunk/data/mime-types-permissions.xml: Add more mime
	  types

2007-09-24 18:22  cosimoc

	* [r7485] trunk/configure.ac: Rename WebKitGdk to WebKitGtk to
	  follow upstream change and fix build against WebKit. Fixes bug
	  #479852. One-liner by Cyril Brulebois.

2007-09-24 14:19  chpe

	* [r7484] trunk/m4/libxul.m4: Add LIBXUL_VERSION defines, and
	  support using libxul-embedding instead of libxul.

2007-09-23 17:59  cosimoc

	* [r7482] trunk/src/bookmarks/ephy-bookmark-properties.c: Change
	  the hint of the bookmarking properties dialog to DIALOG, instead
	  of NORMAL. Make bookmarking work in fullscreen mode and does not
	  put bookmark properties windows in the taskbar. Fixes bug
	  #478928.

2007-09-23 06:00  ituohela

	* [r7481] trunk/po/ChangeLog, trunk/po/fi.po: Updated Finnish
	  translation (fix for bug #479242)

2007-09-19 18:07  chpe

	* [r7477] trunk/Makefile.am, trunk/configure.ac: Add defines for
	  major/minor/micro version. Add SVN branch name, and use it in
	  the ChangeLog generation rule.

2007-09-19 12:11  chpe

	* [r7476] trunk/ChangeLog.README, trunk/HACKING: Add
	  ChangeLog.README to explain the ChangeLog policy

2007-09-19 02:06  diegoe

	* [r7474] trunk/lib/widgets/ephy-location-entry.c: 2007-09-18
	  Diego Escalante Urrelo <diegoe@gnome.org> *
	  lib/widgets/ephy-location-entry.c: Add a somewhat tricky fix for
	  url titles not visible on the completion popup of the location
	  entry when using a dark theme (like Darkilouche). We are using
	  GTK_STATE_INSENSITIVE, rationale on the bug report. Fixes bug
	  #446898. Also replaced some spaces for tabs.

2007-09-17 10:53  djihed

	* [r7469] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Djihed Afifi.

2007-09-16 20:48  kennethn

	* [r7466] trunk/po/ChangeLog, trunk/po/da.po: Updated Danish
	  translation

2007-09-16 18:27  dnylande

	* [r7464] trunk/po/ChangeLog, trunk/po/sv.po: sv.po: Updated
	  Swedish translation

2007-09-16 17:04  gforcada

	* [r7463] trunk/po/ChangeLog, trunk/po/ca.po: Updated Catalan
	  translation

2007-09-16 14:40  ituohela

	* [r7460] trunk/po/ChangeLog, trunk/po/fi.po: Updated Finnish
	  translation

2007-09-16 14:10  al_shopov

	* [r7459] trunk/po/ChangeLog, trunk/po/bg.po: 2007-09-16 Alexander
	  Shopov <ash@contact.bg> * bg.po: Updated Bulgarian translation
	  by Alexander Shopov <ash@contact.bg>

2007-09-16 12:49  chpe

	* [r7455] trunk/Makefile.am: Mark ChangeLog rule as PHONY.

2007-09-16 12:46  chpe

	* [r7454] trunk/embed/xulrunner/components/GeckoPromptService.cpp,
	  trunk/embed/xulrunner/components/GeckoPromptService.h: Make
	  PromptService QI to nsIPromptService2 (not implemented yet,
	  though).
	* [r7453] trunk/ChangeLog, trunk/Makefile.am, trunk/svn2cl.xsl:
	  Build ChangeLog from SVN history at dist time. XSL copied from
	  gnucash and modified to output UTF-8.

2007-09-16 12:10  cosimoc

	* [r7452] trunk/src/ephy-tab.c: Use friendly display for mailto:
	  links; shows a nice text in status bar when hovering a mailto:
	  link. Initial patch by Diego Escalante Urrelo, fixes bug #339161.

2007-09-16 09:24  ymarcheg

	* [r7451] trunk/help/ChangeLog, trunk/help/oc/oc.po,
	  trunk/po/ChangeLog, trunk/po/oc.po: Updated Occitan translation

2007-09-16 08:30  ituohela

	* [r7449] trunk/po/ChangeLog, trunk/po/fi.po: Updated Finnish
	  translation (spellchecked)

2007-09-15 19:17  chpe

	* [r7447] trunk/configure.ac: Add gvfs check.
	* [r7446] trunk/data/glade/epiphany.glade: Consistent spacing.

2007-09-15 18:26  chpe

	* [r7445] trunk/embed/xulrunner/embed/mozilla-embed-single.cpp:
	  Use nsILoginManager.

2007-09-15 14:52  aflinta

	* [r7443] trunk/po/ChangeLog, trunk/po/pl.po: 2007-09-15 Artur
	  Flinta <aflinta@svn.gnome.org> * pl.po: Updated Polish
	  translation by GNOME PL Team.

2007-09-14 19:04  chpe

	* [r7440] trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/src/Makefile.am: Link to the XPCOM glue and set GRE_HOME
	  on startup, until I can figure out what's our linking story wrt.
	  XPCOM glue.
	* [r7439] trunk/embed/xulrunner/components/Makefile.am: Fix
	  missing symbol on link.
	* [r7438] trunk/embed/xulrunner/components/Makefile.am: Add
	  libephyxulrunnerembed.la so LDADD.

2007-09-14 19:03  chpe

	* [r7437]
	  trunk/embed/xulrunner/components/EphyHistoryListener.cpp,
	  trunk/embed/xulrunner/components/EphyHistoryListener.h,
	  trunk/embed/xulrunner/components/Makefile.am,
	  trunk/embed/xulrunner/embed/EphyHistoryListener.cpp,
	  trunk/embed/xulrunner/embed/EphyHistoryListener.h,
	  trunk/embed/xulrunner/embed/Makefile.am: Move
	  EphyHistoryListener from embed/ to components/ since it's only
	  used by GlobalHistory code.

2007-09-14 12:07  clyties

	* [r7436] trunk/po/ChangeLog: 2007-09-14 vi.po Updated Vietnamese
	  translation Clytie Siddall <clytie@riverland.net.au>

2007-09-13 22:33  djihed

	* [r7435] trunk/po/ChangeLog, trunk/po/ar.po: Updated Arabic
	  Translation by Youssef Chahibi.

2007-09-13 20:36  chpe

	* [r7434] trunk/embed/xulrunner/embed/EphyUtils.cpp,
	  trunk/embed/xulrunner/embed/EphyUtils.h,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/src/GeckoUtils.cpp,
	  trunk/embed/xulrunner/src/GeckoUtils.h,
	  trunk/embed/xulrunner/src/Makefile.am,
	  trunk/embed/xulrunner/utils/EphyUtils.cpp,
	  trunk/embed/xulrunner/utils/EphyUtils.h,
	  trunk/embed/xulrunner/utils/GeckoUtils.cpp,
	  trunk/embed/xulrunner/utils/GeckoUtils.h,
	  trunk/embed/xulrunner/utils/Makefile.am: Move EphyUtils and
	  GeckoUtils to utils/.

2007-09-13 20:35  chpe

	* [r7433] trunk/embed/xulrunner/components/Makefile.am,
	  trunk/embed/xulrunner/embed/Makefile.am, trunk/src/Makefile.am:
	  Add utils to LDADD to try to fix the linking.
	* [r7432] trunk/configure.ac: Add separate pkg config checks for
	  some modules.
	* [r7431] trunk/embed/xulrunner/Makefile.am,
	  trunk/embed/xulrunner/components/ContentHandler.cpp,
	  trunk/embed/xulrunner/components/ContentHandler.h,
	  trunk/embed/xulrunner/components/EphyAboutModule.cpp,
	  trunk/embed/xulrunner/components/EphyAboutModule.h,
	  trunk/embed/xulrunner/components/EphyContentPolicy.cpp,
	  trunk/embed/xulrunner/components/EphyContentPolicy.h,
	  trunk/embed/xulrunner/components/EphyRedirectChannel.cpp,
	  trunk/embed/xulrunner/components/EphyRedirectChannel.h,
	  trunk/embed/xulrunner/components/EphySidebar.cpp,
	  trunk/embed/xulrunner/components/EphySidebar.h,
	  trunk/embed/xulrunner/components/FilePicker.cpp,
	  trunk/embed/xulrunner/components/FilePicker.h,
	  trunk/embed/xulrunner/components/GeckoCookiePromptService.cpp,
	  trunk/embed/xulrunner/components/GeckoCookiePromptService.h,
	  trunk/embed/xulrunner/components/GeckoFormSigningDialog.cpp,
	  trunk/embed/xulrunner/components/GeckoFormSigningDialog.h,
	  trunk/embed/xulrunner/components/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/components/GeckoPrintService.h,
	  trunk/embed/xulrunner/components/GeckoPrintSession.cpp,
	  trunk/embed/xulrunner/components/GeckoPrintSession.h,
	  trunk/embed/xulrunner/components/GeckoSpellCheckEngine.cpp,
	  trunk/embed/xulrunner/components/GeckoSpellCheckEngine.h,
	  trunk/embed/xulrunner/components/GlobalHistory.cpp,
	  trunk/embed/xulrunner/components/GlobalHistory.h,
	  trunk/embed/xulrunner/components/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/xulrunner/components/GtkNSSClientAuthDialogs.h,
	  trunk/embed/xulrunner/components/GtkNSSDialogs.cpp,
	  trunk/embed/xulrunner/components/GtkNSSDialogs.h,
	  trunk/embed/xulrunner/components/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/xulrunner/components/GtkNSSKeyPairDialogs.h,
	  trunk/embed/xulrunner/components/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/xulrunner/components/GtkNSSSecurityWarningDialogs.h,
	  trunk/embed/xulrunner/components/Makefile.am,
	  trunk/embed/xulrunner/components/MozDownload.cpp,
	  trunk/embed/xulrunner/components/MozDownload.h,
	  trunk/embed/xulrunner/components/MozRegisterComponents.cpp,
	  trunk/embed/xulrunner/components/MozRegisterComponents.h,
	  trunk/embed/xulrunner/embed/ContentHandler.cpp,
	  trunk/embed/xulrunner/embed/ContentHandler.h,
	  trunk/embed/xulrunner/embed/EphyAboutModule.cpp,
	  trunk/embed/xulrunner/embed/EphyAboutModule.h,
	  trunk/embed/xulrunner/embed/EphyBadCertRejector.cpp,
	  trunk/embed/xulrunner/embed/EphyBadCertRejector.h,
	  trunk/embed/xulrunner/embed/EphyContentPolicy.cpp,
	  trunk/embed/xulrunner/embed/EphyContentPolicy.h,
	  trunk/embed/xulrunner/embed/EphyRedirectChannel.cpp,
	  trunk/embed/xulrunner/embed/EphyRedirectChannel.h,
	  trunk/embed/xulrunner/embed/EphySidebar.cpp,
	  trunk/embed/xulrunner/embed/EphySidebar.h,
	  trunk/embed/xulrunner/embed/FilePicker.cpp,
	  trunk/embed/xulrunner/embed/FilePicker.h,
	  trunk/embed/xulrunner/embed/GeckoCookiePromptService.cpp,
	  trunk/embed/xulrunner/embed/GeckoCookiePromptService.h,
	  trunk/embed/xulrunner/embed/GeckoFormSigningDialog.cpp,
	  trunk/embed/xulrunner/embed/GeckoFormSigningDialog.h,
	  trunk/embed/xulrunner/embed/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintService.h,
	  trunk/embed/xulrunner/embed/GeckoPrintSession.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintSession.h,
	  trunk/embed/xulrunner/embed/GeckoSpellCheckEngine.cpp,
	  trunk/embed/xulrunner/embed/GeckoSpellCheckEngine.h,
	  trunk/embed/xulrunner/embed/GlobalHistory.cpp,
	  trunk/embed/xulrunner/embed/GlobalHistory.h,
	  trunk/embed/xulrunner/embed/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSClientAuthDialogs.h,
	  trunk/embed/xulrunner/embed/GtkNSSDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSDialogs.h,
	  trunk/embed/xulrunner/embed/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSKeyPairDialogs.h,
	  trunk/embed/xulrunner/embed/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSSecurityWarningDialogs.h,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/embed/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/MozDownload.h,
	  trunk/embed/xulrunner/embed/MozRegisterComponents.cpp,
	  trunk/embed/xulrunner/embed/MozRegisterComponents.h,
	  trunk/embed/xulrunner/utils/EphyBadCertRejector.cpp,
	  trunk/embed/xulrunner/utils/EphyBadCertRejector.h,
	  trunk/embed/xulrunner/utils/Makefile.am: Move components from
	  embed/ to components/ and fix the build.
	* [r7430] trunk/embed/xulrunner/components/GeckoPromptService.cpp:
	  Fix the build. We don't need to manually add the window to the
	  window group, since set_transient_for does that for us since gtk
	  2.10.

2007-09-13 20:34  chpe

	* [r7429] trunk/embed/xulrunner/src/gecko-init.cpp: Fix for move
	  of GeckoPromptService.

2007-09-13 13:25  chpe

	* [r7427] trunk/embed/xulrunner/COPYRIGHT,
	  trunk/embed/xulrunner/Makefile.am,
	  trunk/embed/xulrunner/components/GeckoPromptService.cpp,
	  trunk/embed/xulrunner/components/GeckoPromptService.h,
	  trunk/embed/xulrunner/components/Makefile.am,
	  trunk/embed/xulrunner/embed/EphyPromptService.cpp,
	  trunk/embed/xulrunner/embed/EphyPromptService.h,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/src/GeckoPromptService.cpp,
	  trunk/embed/xulrunner/src/GeckoPromptService.h,
	  trunk/embed/xulrunner/src/Makefile.am: Move prompt service
	  implementation to components/ and remove the duplicate
	  implementations in src/ and embed/. Doesn't build yet.

2007-09-13 13:18  chpe

	* [r7426] trunk/embed/mozilla/AutoJSContextStack.cpp,
	  trunk/embed/mozilla/AutoWindowModalState.cpp,
	  trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/EphyAboutModule.cpp,
	  trunk/embed/mozilla/EphyBadCertRejector.cpp,
	  trunk/embed/mozilla/EphyBrowser.cpp,
	  trunk/embed/mozilla/EphyContentPolicy.cpp,
	  trunk/embed/mozilla/EphyDirectoryProvider.cpp,
	  trunk/embed/mozilla/EphyFind.cpp,
	  trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/EphyHistoryListener.cpp,
	  trunk/embed/mozilla/EphyPromptService.cpp,
	  trunk/embed/mozilla/EphyRedirectChannel.cpp,
	  trunk/embed/mozilla/EphySidebar.cpp,
	  trunk/embed/mozilla/EphySingle.cpp,
	  trunk/embed/mozilla/EphyUtils.cpp,
	  trunk/embed/mozilla/EventContext.cpp,
	  trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/mozilla/GeckoFormSigningDialog.cpp,
	  trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/mozilla/GeckoPrintSession.cpp,
	  trunk/embed/mozilla/GeckoSpellCheckEngine.cpp,
	  trunk/embed/mozilla/GlobalHistory.cpp,
	  trunk/embed/mozilla/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/mozilla/MozRegisterComponents.cpp,
	  trunk/embed/mozilla/mozilla-download.cpp,
	  trunk/embed/mozilla/mozilla-embed-event.cpp,
	  trunk/embed/mozilla/mozilla-embed-find.cpp,
	  trunk/embed/mozilla/mozilla-embed-persist.cpp,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-notifiers.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp: Revert the change
	  from r7406; see bug #476540.

2007-09-13 13:17  chpe

	* [r7425] trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/EphyBrowser.cpp,
	  trunk/embed/mozilla/EphyContentPolicy.cpp,
	  trunk/embed/mozilla/EphyDirectoryProvider.cpp,
	  trunk/embed/mozilla/EphyFind.cpp,
	  trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/EphyHistoryListener.cpp,
	  trunk/embed/mozilla/EphyPromptService.cpp,
	  trunk/embed/mozilla/EphySidebar.cpp,
	  trunk/embed/mozilla/EphySingle.cpp,
	  trunk/embed/mozilla/EphyUtils.cpp,
	  trunk/embed/mozilla/EventContext.cpp,
	  trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/mozilla/GeckoFormSigningDialog.cpp,
	  trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/mozilla/GeckoPrintSession.cpp,
	  trunk/embed/mozilla/GeckoSpellCheckEngine.cpp,
	  trunk/embed/mozilla/GlobalHistory.cpp,
	  trunk/embed/mozilla/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/mozilla/MozRegisterComponents.cpp,
	  trunk/embed/mozilla/mozilla-download.cpp,
	  trunk/embed/mozilla/mozilla-embed-persist.cpp,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp: Revert the change
	  from r7407; see bug #476540.

2007-09-13 13:09  chpe

	* [r7424] trunk/embed/xulrunner/embed/AutoJSContextStack.cpp,
	  trunk/embed/xulrunner/embed/AutoJSContextStack.h,
	  trunk/embed/xulrunner/embed/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/embed/AutoWindowModalState.h,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/src/AutoJSContextStack.cpp,
	  trunk/embed/xulrunner/src/AutoJSContextStack.h,
	  trunk/embed/xulrunner/src/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/src/AutoWindowModalState.h,
	  trunk/embed/xulrunner/src/Makefile.am,
	  trunk/embed/xulrunner/utils/AutoJSContextStack.cpp,
	  trunk/embed/xulrunner/utils/AutoJSContextStack.h,
	  trunk/embed/xulrunner/utils/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/utils/AutoWindowModalState.h,
	  trunk/embed/xulrunner/utils/Makefile.am: Move AutoJSContextStack
	  and AutoWindowModalState helpers to embed/xulrunner/utils
	  instead of having two copies of it in src and embed.

2007-09-13 13:05  chpe

	* [r7423] trunk/configure.ac: Create Makefiles for
	  embed/xulrunner/utils and components.

2007-09-13 13:00  chpe

	* [r7422] trunk/embed/xulrunner/Makefile.am,
	  trunk/embed/xulrunner/components,
	  trunk/embed/xulrunner/components/Makefile.am,
	  trunk/embed/xulrunner/utils,
	  trunk/embed/xulrunner/utils/Makefile.am: Add utils/ and
	  components/ directories.

2007-09-13 12:58  chpe

	* [r7421] trunk/embed/Makefile.am, trunk/src/Makefile.am: More
	  build fixes for the xulrunner backend.

2007-09-13 12:57  chpe

	* [r7420] trunk/embed/ephy-embed-shell.c: Assert that constructing
	  the single succeeded.
	* [r7419] trunk/configure.ac: Define WITH_XULRUNNER_ENGINE.

2007-09-13 12:56  chpe

	* [r7418] trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/src/Makefile.am: Build
	  libgnomegeckoembed.la as noinst_LTLIBRARIES for now.

2007-09-13 12:52  chpe

	* [r7417] trunk/m4/libxul.m4: Add visibility stuff from mozilla
	  configure, and try to fix the libdir.

2007-09-13 12:39  kelemeng

	* [r7416] trunk/po/ChangeLog, trunk/po/hu.po: 2007-09-13 Gabor
	  Kelemen <kelemeng@gnome.hu> * hu.po: Translation updated.

2007-09-13 12:32  chpe

	* [r7414] trunk/embed/xulrunner/embed/mozilla-embed-single.cpp:
	  Use G_DEFINE_TYPE.

2007-09-13 08:21  dnloreto

	* [r7411] trunk/po/ChangeLog, trunk/po/pt.po: 2007-09-13 Duarte
	  Loreto <happyguy_pt@hotmail.com> * pt.po: Updated Portuguese
	  translation.

2007-09-12 21:02  chpe

	* [r7410] trunk/embed/xulrunner/embed/EphyAboutModule.cpp: Port to
	  frozen string API by using nsINetUtil

2007-09-12 20:50  chpe

	* [r7409] trunk/embed/xulrunner/embed/EphyUtils.h: Remove check
	  for MOZILLA_INTERNAL_API

2007-09-12 20:47  chpe

	* [r7408] trunk/embed/xulrunner/Makefile.am: Add embed directory

2007-09-12 20:41  chpe

	* [r7407] trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/EphyBrowser.cpp,
	  trunk/embed/mozilla/EphyContentPolicy.cpp,
	  trunk/embed/mozilla/EphyDirectoryProvider.cpp,
	  trunk/embed/mozilla/EphyFind.cpp,
	  trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/EphyHistoryListener.cpp,
	  trunk/embed/mozilla/EphyPromptService.cpp,
	  trunk/embed/mozilla/EphySidebar.cpp,
	  trunk/embed/mozilla/EphySingle.cpp,
	  trunk/embed/mozilla/EphyUtils.cpp,
	  trunk/embed/mozilla/EventContext.cpp,
	  trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/mozilla/GeckoFormSigningDialog.cpp,
	  trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/mozilla/GeckoPrintSession.cpp,
	  trunk/embed/mozilla/GeckoSpellCheckEngine.cpp,
	  trunk/embed/mozilla/GlobalHistory.cpp,
	  trunk/embed/mozilla/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/mozilla/MozRegisterComponents.cpp,
	  trunk/embed/mozilla/mozilla-download.cpp,
	  trunk/embed/mozilla/mozilla-embed-persist.cpp,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp,
	  trunk/embed/xulrunner/embed/ContentHandler.cpp,
	  trunk/embed/xulrunner/embed/EphyBrowser.cpp,
	  trunk/embed/xulrunner/embed/EphyContentPolicy.cpp,
	  trunk/embed/xulrunner/embed/EphyFind.cpp,
	  trunk/embed/xulrunner/embed/EphyHeaderSniffer.cpp,
	  trunk/embed/xulrunner/embed/EphyHistoryListener.cpp,
	  trunk/embed/xulrunner/embed/EphyPromptService.cpp,
	  trunk/embed/xulrunner/embed/EphySidebar.cpp,
	  trunk/embed/xulrunner/embed/EphySingle.cpp,
	  trunk/embed/xulrunner/embed/EphyUtils.cpp,
	  trunk/embed/xulrunner/embed/EventContext.cpp,
	  trunk/embed/xulrunner/embed/FilePicker.cpp,
	  trunk/embed/xulrunner/embed/GeckoCookiePromptService.cpp,
	  trunk/embed/xulrunner/embed/GeckoFormSigningDialog.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintSession.cpp,
	  trunk/embed/xulrunner/embed/GeckoSpellCheckEngine.cpp,
	  trunk/embed/xulrunner/embed/GlobalHistory.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSDialogs.cpp,
	  trunk/embed/xulrunner/embed/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/MozRegisterComponents.cpp,
	  trunk/embed/xulrunner/embed/mozilla-download.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-persist.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed.cpp,
	  trunk/embed/xulrunner/embed/mozilla-x509-cert.cpp,
	  trunk/embed/xulrunner/src/GeckoPromptService.cpp,
	  trunk/embed/xulrunner/tests/testgeckoembed.cpp: Include
	  nsStringGlue.h instead of nsStringAPI.h

2007-09-12 20:40  chpe

	* [r7406] trunk/embed/mozilla/AutoJSContextStack.cpp,
	  trunk/embed/mozilla/AutoWindowModalState.cpp,
	  trunk/embed/mozilla/ContentHandler.cpp,
	  trunk/embed/mozilla/EphyAboutModule.cpp,
	  trunk/embed/mozilla/EphyBadCertRejector.cpp,
	  trunk/embed/mozilla/EphyBrowser.cpp,
	  trunk/embed/mozilla/EphyContentPolicy.cpp,
	  trunk/embed/mozilla/EphyDirectoryProvider.cpp,
	  trunk/embed/mozilla/EphyFind.cpp,
	  trunk/embed/mozilla/EphyHeaderSniffer.cpp,
	  trunk/embed/mozilla/EphyHistoryListener.cpp,
	  trunk/embed/mozilla/EphyPromptService.cpp,
	  trunk/embed/mozilla/EphyRedirectChannel.cpp,
	  trunk/embed/mozilla/EphySidebar.cpp,
	  trunk/embed/mozilla/EphySingle.cpp,
	  trunk/embed/mozilla/EphyUtils.cpp,
	  trunk/embed/mozilla/EventContext.cpp,
	  trunk/embed/mozilla/FilePicker.cpp,
	  trunk/embed/mozilla/GeckoCookiePromptService.cpp,
	  trunk/embed/mozilla/GeckoFormSigningDialog.cpp,
	  trunk/embed/mozilla/GeckoPrintService.cpp,
	  trunk/embed/mozilla/GeckoPrintSession.cpp,
	  trunk/embed/mozilla/GeckoSpellCheckEngine.cpp,
	  trunk/embed/mozilla/GlobalHistory.cpp,
	  trunk/embed/mozilla/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/mozilla/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/mozilla/MozDownload.cpp,
	  trunk/embed/mozilla/MozRegisterComponents.cpp,
	  trunk/embed/mozilla/mozilla-download.cpp,
	  trunk/embed/mozilla/mozilla-embed-event.cpp,
	  trunk/embed/mozilla/mozilla-embed-find.cpp,
	  trunk/embed/mozilla/mozilla-embed-persist.cpp,
	  trunk/embed/mozilla/mozilla-embed-single.cpp,
	  trunk/embed/mozilla/mozilla-embed.cpp,
	  trunk/embed/mozilla/mozilla-notifiers.cpp,
	  trunk/embed/mozilla/mozilla-x509-cert.cpp,
	  trunk/embed/xulrunner/embed/AutoJSContextStack.cpp,
	  trunk/embed/xulrunner/embed/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/embed/ContentHandler.cpp,
	  trunk/embed/xulrunner/embed/EphyAboutModule.cpp,
	  trunk/embed/xulrunner/embed/EphyBadCertRejector.cpp,
	  trunk/embed/xulrunner/embed/EphyBrowser.cpp,
	  trunk/embed/xulrunner/embed/EphyContentPolicy.cpp,
	  trunk/embed/xulrunner/embed/EphyDirectoryProvider.cpp,
	  trunk/embed/xulrunner/embed/EphyFind.cpp,
	  trunk/embed/xulrunner/embed/EphyHeaderSniffer.cpp,
	  trunk/embed/xulrunner/embed/EphyHistoryListener.cpp,
	  trunk/embed/xulrunner/embed/EphyPromptService.cpp,
	  trunk/embed/xulrunner/embed/EphyRedirectChannel.cpp,
	  trunk/embed/xulrunner/embed/EphySidebar.cpp,
	  trunk/embed/xulrunner/embed/EphySingle.cpp,
	  trunk/embed/xulrunner/embed/EphyUtils.cpp,
	  trunk/embed/xulrunner/embed/EventContext.cpp,
	  trunk/embed/xulrunner/embed/FilePicker.cpp,
	  trunk/embed/xulrunner/embed/GeckoCookiePromptService.cpp,
	  trunk/embed/xulrunner/embed/GeckoFormSigningDialog.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintSession.cpp,
	  trunk/embed/xulrunner/embed/GeckoSpellCheckEngine.cpp,
	  trunk/embed/xulrunner/embed/GlobalHistory.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSClientAuthDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSKeyPairDialogs.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSSecurityWarningDialogs.cpp,
	  trunk/embed/xulrunner/embed/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/MozRegisterComponents.cpp,
	  trunk/embed/xulrunner/embed/mozilla-download.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-event.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-find.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-persist.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed.cpp,
	  trunk/embed/xulrunner/embed/mozilla-notifiers.cpp,
	  trunk/embed/xulrunner/embed/mozilla-x509-cert.cpp,
	  trunk/embed/xulrunner/src/AutoJSContextStack.cpp,
	  trunk/embed/xulrunner/src/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/src/EmbedContentListener.cpp,
	  trunk/embed/xulrunner/src/EmbedEventListener.cpp,
	  trunk/embed/xulrunner/src/EmbedProgress.cpp,
	  trunk/embed/xulrunner/src/EmbedStream.cpp,
	  trunk/embed/xulrunner/src/EmbedWindow.cpp,
	  trunk/embed/xulrunner/src/EmbedWindowCreator.cpp,
	  trunk/embed/xulrunner/src/GeckoBrowser.cpp,
	  trunk/embed/xulrunner/src/GeckoPromptService.cpp,
	  trunk/embed/xulrunner/src/GeckoSingle.cpp,
	  trunk/embed/xulrunner/src/GeckoUtils.cpp,
	  trunk/embed/xulrunner/src/gecko-dom-event.cpp,
	  trunk/embed/xulrunner/src/gecko-embed-single.cpp,
	  trunk/embed/xulrunner/src/gecko-embed.cpp,
	  trunk/embed/xulrunner/src/gecko-init.cpp,
	  trunk/embed/xulrunner/tests/testgeckoembed.cpp,
	  trunk/m4/libxul.m4, trunk/plugins/desktop-file/plugin.cpp:
	  Include xpcom-config.h, not mozilla-config.h

2007-09-12 20:33  chpe

	* [r7405] trunk/embed/xulrunner/embed/AutoWindowModalState.cpp,
	  trunk/embed/xulrunner/embed/EphyAboutModule.cpp,
	  trunk/embed/xulrunner/embed/EphyBrowser.cpp,
	  trunk/embed/xulrunner/embed/EphyFind.cpp,
	  trunk/embed/xulrunner/embed/EphySidebar.cpp,
	  trunk/embed/xulrunner/embed/EphySingle.cpp,
	  trunk/embed/xulrunner/embed/EphyUtils.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/embed/GeckoSpellCheckEngine.cpp,
	  trunk/embed/xulrunner/embed/GlobalHistory.cpp,
	  trunk/embed/xulrunner/embed/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed.cpp,
	  trunk/embed/xulrunner/src/AutoWindowModalState.cpp: We know we
	  do have gecko 1.9, so remove all HAVE_GECKO_* defines.

2007-09-12 19:53  chpe

	* [r7404] trunk/m4/libxul.m4, trunk/src/Makefile.am: More
	  xulrunner build fixes

2007-09-12 19:52  chpe

	* [r7403] trunk/embed/xulrunner/Makefile.am: Disable tests
	  directory for now.

2007-09-12 19:35  chpe

	* [r7402] trunk/embed/xulrunner/bindings/Makefile.am,
	  trunk/embed/xulrunner/bindings/python/Makefile.am,
	  trunk/embed/xulrunner/data/Makefile.am,
	  trunk/embed/xulrunner/embed/ContentHandler.cpp,
	  trunk/embed/xulrunner/embed/EphyDirectoryProvider.cpp,
	  trunk/embed/xulrunner/embed/EphyFind.cpp,
	  trunk/embed/xulrunner/embed/EphySidebar.cpp,
	  trunk/embed/xulrunner/embed/GeckoPrintService.cpp,
	  trunk/embed/xulrunner/embed/GtkNSSDialogs.cpp,
	  trunk/embed/xulrunner/embed/Makefile.am,
	  trunk/embed/xulrunner/embed/MozDownload.cpp,
	  trunk/embed/xulrunner/embed/MozRegisterComponents.cpp,
	  trunk/embed/xulrunner/embed/mozilla-embed-single.cpp,
	  trunk/embed/xulrunner/src/Makefile.am,
	  trunk/embed/xulrunner/tests/Makefile.am: Make the xulrunner
	  backend build: change C/CXX/LDFLAGS, comment out some code that
	  isn't ported to gecko 1.9 yet. Doesn't link yet!

2007-09-12 19:25  chpe

	* [r7401] trunk/embed/xulrunner/ChangeLog,
	  trunk/embed/xulrunner/ChangeLog-preEphy: Move ChangeLog

2007-09-12 19:07  chpe

	* [r7398] trunk/configure.ac, trunk/src/ephy-notebook.c: Update
	  version and API version to 2.21

2007-09-12 19:06  chpe

	* [r7397] trunk/ChangeLog: Add ChangeLog stub pointing to HACKING
	  file for policy
	* [r7396] trunk/HACKING: Style fixes

2007-09-12 18:44  chpe

	* [r7395] trunk/m4/libxul.m4: Fix the LIBXUL_INCLUDES variable

2007-09-12 18:42  chpe

	* [r7394] trunk/ChangeLog, trunk/ChangeLog-20070912,
	  trunk/HACKING, trunk/Makefile.am: Move old ChangeLog to
	  ChangeLog-20070912, and dist it. Update HACKING file for
	  no-ChangeLog policy.

